<?php
/**
 * Archive template
 */

	get_header();
	$blogSidebar  = 'span9';
	$span1        = '';/* It is used to fix the positioning of span 10*/
	$sidebarclass = '';
	$sidebar      = kite_opt( 'blog-sidebar-position' );

if ( ( ( $sidebar == 'main-sidebar' ) || ( $sidebar == 'left-sidebar' ) ) && ! is_active_sidebar( 'main-sidebar' ) ) {
	$sidebar = 'no-sidebar';
}


if ( $sidebar == 'main-sidebar' ) {
	$sidebarclass = 'blog-has-sidebar right';
}
if ( $sidebar == 'left-sidebar' ) {
	$sidebarclass = 'blog-has-sidebar left';
}
if ( $sidebar == 'no-sidebar' ) {
	$blogSidebar = 'span10 fullwidth-blog';
	$span1       = '<div class="span1"></div>';
}

?>

<!-- Blog -->
<section  id="blog" class="cblog <?php echo esc_attr( $sidebarclass ); ?>">
	<div class="wrap">
		<div class="container" id="content">
			<div class="row">
				<?php echo wp_kses( $span1, $GLOBALS['kite-allowed-tags'] ); ?>
				
				<?php if ( $sidebar == 'left-sidebar' ) { ?>
			   
				   <!-- left Sidebar  -->
					<div class="span3 main-sidebar-container">
						<?php kite_get_sidebar( 'main-sidebar' ); ?>
					</div>
				
				<?php } ?>
				<div class="<?php echo esc_attr( $blogSidebar ); ?>">
					<div id="blogloop">
						<?php
						$pageTitle = '';
						$post      = $posts[0];
						if ( is_category() ) {
							$pageTitle = sprintf( esc_html__( 'All posts in: %s', 'pinkmart' ), single_cat_title( '', false ) );
						} elseif ( is_tag() ) {
							$pageTitle = sprintf( esc_html__( 'All posts tagged: %s', 'pinkmart' ), single_tag_title( '', false ) );
						} elseif ( is_day() ) {
							$pageTitle = sprintf( esc_html__( 'Archive for: %s', 'pinkmart' ), get_the_time( 'F jS, Y' ) );
						} elseif ( is_month() ) {
							$pageTitle = sprintf( esc_html__( 'Archive for: %s', 'pinkmart' ), get_the_time( 'F, Y' ) );
						} elseif ( is_year() ) {
							$pageTitle = sprintf( esc_html__( 'Archive for: %s', 'pinkmart' ), get_the_time( 'Y' ) );
						} elseif ( is_author() ) {
							/* Get author data */
							if ( get_query_var( 'author_name' ) ) {
								$curauth = get_user_by( 'login', get_query_var( 'author_name' ) );
							} else {
								$curauth = get_userdata( get_query_var( 'author' ) );
							}

							$pageTitle = sprintf( esc_html__( 'Posts by: %s', 'pinkmart' ), $curauth->display_name );
						} elseif ( isset( $_GET['paged'] ) && ! empty( $_GET['paged'] ) ) {

							$pageTitle = esc_html__( 'Blog Archive', 'pinkmart' );
						}

						?>
							 
						
						<h2><?php echo esc_html( $pageTitle ); ?></h2>
						
						<?php

						if ( have_posts() ) {
							while ( have_posts() ) {
								the_post();
								global $post;
								?>
											
								<div <?php post_class( 'clearfix' ); ?>>
									<?php get_template_part( 'templates/loop', 'blog-standard' ); ?>
								</div>
								<?php
							}
						}

						?>
					</div>
					<?php if ( have_posts() ) { ?>
						<?php
						kite_get_pagination();
					}
					?>
				</div>
			
				<?php if ( $sidebar == 'main-sidebar' ) { ?>
			   
				   <!-- Right Sidebar  -->
					<div class="span3 main-sidebar-container">
						<?php kite_get_sidebar( 'main-sidebar' ); ?>
					</div>
				
				<?php } ?>
			</div>
		</div>
	</div>
</section>

	
	
<?php get_footer(); ?>
