/*
 * DOMParser HTML extension
 * 2012-09-04
 * 
 * By Eli Grey, http://eligrey.com
 * Public domain.
 * NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.
 */

/*! @source https://gist.github.com/1129031 */
/*global document, DOMParser*/

DOMParserFlag = false;
if (DOMParserFlag == false) {

    function DOMParser() {
        "use strict";

        var DOMParser_proto = DOMParser.prototype,
            real_parseFromString = DOMParser_proto.parseFromString;

        // Firefox/Opera/IE throw errors on unsupported types
        try {
            // WebKit returns null on unsupported types
            if ((new DOMParser).parseFromString("", "text/html")) {
                // text/html parsing is natively supported
                return;
            }
        } catch (ex) { }
        DOMParser_proto.parseFromString = function (markup, type) {
            if (/^\s*text\/html\s*(?:;|$)/i.test(type)) {
                var
                  doc = document.implementation.createHTMLDocument("")
                ;
                if (markup.toLowerCase().indexOf('<!doctype') > -1) {
                    doc.documentElement.innerHTML = markup;
                }
                else {
                    doc.body.innerHTML = markup;
                }
                return doc;
            } else {
                return real_parseFromString.apply(this, arguments);
            }
        };
    }
    DOMParserFlag = true;
}

/*
* jQuery djax
*
* @version v0.122
*
* Copyright 2012, Brian Zeligson
* Released under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
*
* Homepage:
*   http://beezee.github.com/djax.html
*
* Authors:
*   Brian Zeligson
*
* Contributors:
*  Gary Jones @GaryJones
*
* Maintainer:
*   Brian Zeligson github @beezee
*
*/

/*jslint browser: true, indent: 4, maxerr: 50, sub: true */
/*jshint bitwise:true, curly:true, eqeqeq:true, forin:true, immed:true, latedef:true, noarg:true, noempty:true, nomen:true, nonew:true, onevar:true, plusplus:true, regexp:true, smarttabs:true, strict:true, trailing:true, undef:true, white:true, browser:true, jquery:true, indent:4, maxerr:50, */
/*global jQuery */

// ==ClosureCompiler==
// @compilation_level ADVANCED_OPTIMIZATIONS
// @output_file_name jquery.djax.js
// @externs_url http://closure-compiler.googlecode.com/svn/trunk/contrib/externs/jquery-1.7.js
// ==/ClosureCompiler==
// http://closure-compiler.appspot.com/home

(function ($, exports) {
	'use strict';

    //exceptionClasses : list of classes of body that would be exceptions
    //exceptionURLs : list of urls that would be exceptions
	$.fn.djax = function (selector, exceptions, exceptionURLs) {

		// If browser doesn't support pushState, abort now
		if (!history.pushState) {
			return $(this);
		}

		var self = this,
		    blockSelector = selector,
		    excludes = (exceptions && exceptions.length) ? exceptions : [],

           //Added By KiteSt *************************************
	       excludeURLs = (exceptionURLs && exceptionURLs.length) ? exceptionURLs : [],
           //**************************************************************************

			djaxing = false;

		// Ensure that the history is correct when going from 2nd page to 1st
		window.history.replaceState(
			{
				'url' : window.location.href,
				'title' : $('title').text()
			},
			$('title').text(),
			window.location.href
		);
		
		self.clearDjaxing = function() {
			self.djaxing = false;
		}

		// Exclude the link exceptions
		self.attachClick = function (element, event) {

			var link = $(element),
				exception = false;

            if(link.attr("target") !== 'undefined' && link.attr("target") == '_blank' || link.hasClass('no_djax'))
                exception = true;

            if( exception == false) {
                $.each(excludes, function (index, exclusion) {
                    if (link.attr('href').indexOf(exclusion) !== -1 ) {
                        exception = true;
                        return false;
                    }
                });
            }

            if( exception == false) {
                $.each(excludeURLs, function (index, exclusion) {
                    if(link.attr("href") == exclusion ) {
                        exception = true;
                        return false;
                    }
                });
            }

			// If the link is one of the exceptions, return early so that
			// the link can be clicked and a full page load as normal
			if (exception) {
				return $(element);
			}

			// From this point on, we handle the behaviour
			event.preventDefault();

			// If we're already doing djaxing, return now and silently fail
			if (self.djaxing) {
				setTimeout(self.clearDjaxing, 1000);
				return $(element);
			}

			$(window).trigger('djaxClick', [element]);
			self.reqUrl = link.attr('href');
			self.triggered = false;
			self.navigate(link.attr('href'), true);

		};

		// Handle the navigation
		self.navigate = function (url, add) {				

			var blocks = $(blockSelector);

			self.djaxing = true;

			// Get the new page
			$(window).trigger(
				'djaxLoading',
				[{
					'url' : url
				}]
			);

			var replaceBlocks = function (response) {

				if (url !== self.reqUrl) {
					self.navigate(self.reqUrl, false);
					return true;
				}

				var result = $(response),
					newBlocks = result.find(blockSelector);

				if (add) {
					window.history.pushState(
						{
							'url' : url,
							'title' : $(result).filter('title').text()
						},
						$(result).filter('title').text(),
						url
					);
				}

				// Set page title as new page title
				$('title').text($(result).filter('title').text());

			    // added By KiteSt **********************************************************

				var parser = new DOMParser();
				var doc = parser.parseFromString(response, "text/html");
				var docClass = doc.body.getAttribute('class');
				$('body').removeClass().addClass(docClass);
				//pageid attribute for updating wp admin toolbar edit link
				$('body').data("pageid", doc.body.getAttribute('data-pageid'));

				//update meta tags
				var metaTags = doc.getElementsByTagName('meta');
				for (var i = 0, n = metaTags.length; i < n; i++) {
				    if (metaTags[i].getAttribute("name") !== null) {
				        $('head meta[name="' + metaTags[i].getAttribute("name") + '"]').attr("content", metaTags[i].getAttribute("content"))
				    }
				    else if (metaTags[i].getAttribute("property") !== null) {
				        $('head meta[property="' + metaTags[i].getAttribute("property") + '"]').attr("content", metaTags[i].getAttribute("content"))
				    }
				    else (metaTags[i].getAttribute("itemprop") !== null)
				    {
				        $('head meta[itemprop="' + metaTags[i].getAttribute("property") + '"]').attr("content", metaTags[i].getAttribute("content"))
				    }
				}

				//**************************************************************************

				// Loop through each block and find new page equivalent
				blocks.each(function () {

					var id = '#' + $(this).attr('id'),
					    newBlock = newBlocks.filter(id),
					    block = $(this);
					
					if (newBlock.length) {
					    if (block.html() !== newBlock.html()) {

					        // Edit By KiteSt **********************************************************

							var dom = $(doc);
							var scripts = dom.find("script");
                            var links = dom.find('link[rel="stylesheet"]');
							var styles = dom.find('style');
                            $('body').trigger('djax_updated',[block, newBlock, scripts, links, styles]);

					        //*************************************************************************

						}
					} else {
						block.remove();
					}

				});

				// Loop through new page blocks and add in as needed
				$.each(newBlocks, function () {

					var newBlock = $(this),
					    id = '#' + $(this).attr('id'),
					    $previousSibling;

					// If there is a new page block without an equivalent block
					// in the old page, we need to find out where to insert it
					if (!$(id).length) {

						// Find the previous sibling
						$previousSibling = $(result).find(id).prev();

						if ($previousSibling.length) {
							// Insert after the previous element
							newBlock.insertAfter('#' + $previousSibling.attr('id'));
						} else {
							// There's no previous sibling, so prepend to parent instead
							newBlock.prependTo('#' + newBlock.parent().attr('id'));
						}
					}

									// Only add a class to internal links
					$('a', newBlock).filter(function () {
						return this.hostname === location.hostname;
					}).on('click', function (event) {
						return self.attachClick(this, event);
					});

				});



				// Trigger djaxLoad event as a pseudo ready()
				if (!self.triggered) {
					$(window).trigger(
						'djaxLoad',
						[{
							'url' : url,
							'title' : $(result).filter('title').text(),
							'response' : response
						}]
					);
					self.triggered = true;
					self.djaxing = false;
				}
			};
            // Edit By KiteSt **********************************************************
			$.ajax({
                url : url,
                data: { djax_req: true },
                beforeSend: function() {
                    $('body').trigger('djax_before_transition');
                },
                success : function (response) {
    				replaceBlocks(response);
                },
                error : function (response) {
                    // handle error
                    replaceBlocks(response['responseText']);
                }

			});
            //*************************************************************************
            
		}; /* End self.navigate */

		// Only add a class to internal links
		$(this).find('a').filter(function () {
			return this.hostname === location.hostname;
		}).on('click', function (event) {
			return self.attachClick(this, event);
		});

		// On new page load
		$(window).bind('popstate', function (event) {
			self.triggered = false;
			if (event.originalEvent.state) {
				self.reqUrl = event.originalEvent.state.url;
				self.navigate(event.originalEvent.state.url, false);
			}
		});

	    // added By KiteSt  ********************************************************

	    self.reInit = function() {
		    $(this).find('a').filter(function () {
			    return this.hostname === location.hostname;
		    }).on('click', function (event) {
			    return self.attachClick(this, event);
		    });
		    return this;
	    };

	    return this;

	    //*************************************************************************

	};

}(jQuery, window));