<?php
//
// ─── REGISTERING ELEMENTOR CORE LOCATIONS ───────────────────────────────────────
//
function kite_register_elementor_locations( $elementor_theme_manager ) {

	$elementor_theme_manager->register_core_location( 'header' );
	$elementor_theme_manager->register_core_location( 'footer' );

}
add_action( 'elementor/theme/register_locations', 'kite_register_elementor_locations' );

//
// ─── REGISTER BY KITE CATEGORY FOR WIDGETS ──────────────────────────────────────
//
function kite_elementor_widget_categories( $elements_manager ) {

	$elements_manager->add_category(
		'by-kite',
		array(
			'title' => esc_html__( 'By Kite', 'pinkmart' ),
			'icon'  => 'fa fa-plug',
		)
	);

}
add_action( 'elementor/elements/categories_registered', 'kite_elementor_widget_categories' );

//
// ─── ADD CUSTOM CONTROL TO ELEMENTOR ────────────────────────────────────────────
//
add_action( 'elementor/controls/controls_registered', 'Kite_add_custom_controls' );
function Kite_add_custom_controls() {
	$controls_manager = \Elementor\Plugin::$instance->controls_manager;
	$controls         = array(
		$controls_manager::ICON => 'Kite_Icons',
	);
	require_once dirname( __FILE__ ) . '/controls/icons-name.php';
		$controls_manager->unregister_control( $controls_manager::ICON );
		$controls_manager->register_control( $controls_manager::ICON, new Kite_Icons() );
}

//
// ─── REGISTERING ELEMENTOR WIDGETS ──────────────────────────────────────────────
//
add_action( 'elementor/widgets/widgets_registered', 'kite_init_elementor_widgets' );
function kite_init_elementor_widgets() {
	$widgets = array(
		'team-member',
		'testimonial',
		'showcase',
		'progressbar',
		'soundcloud',
		'embed-video',
		'imagebox',
		'animated-text',
		'banner',
		'pie-chart',
		'button',
		'image-carousel',
		'gallery-carousel',
		'teta-text-box',
		'icon-box-top',
		'icon-box-top-square',
		'icon-box-top-circle',
		'icon-box-left',
		'icon-box-creative',
		'social-icon',
		'social-link',
		'count-down',
		'counter-box',
		'gallery',
		'instagram-feed',
		'blog',
		'mailPoet',
		'mailchimp',
		'contact-form-7',
		'modern-banner',
		'blog-toggle',
		'blog-head-line',
		'lookbook-image-popup-reveal',
		'text-slider',
	);
	if ( kite_woocommerce_installed() ) {
		$woocommerce_widgets = array(
			'woocommerce-products',
			'woocommerce-handpicked-products',
			'ajax-woocommerce-products',
			'single-product',
			'product-categories',
			'cart',
			'checkout',
			'my-account',
			'product-page',
			'products-by-attribute',
		);

		$widgets = array_merge( $widgets, $woocommerce_widgets );
	}

	foreach( $widgets as $key => $widget ) {
		require_once dirname( __FILE__ ) . '/widgets/' . $widget . '.php';
	}
}
add_filter( 'elementor/fonts/additional_fonts', 'Kite_add_fonts_to_elementor' );
if ( ! function_exists( 'Kite_add_fonts_to_elementor' ) ) {
	function Kite_add_fonts_to_elementor() {
		return array( 'Gayathri' => 'googlefonts' );
	}
}
