<?php

require_once dirname( __FILE__ ) . '/string.php';

class Kite_Framework {
	/**
	 * Includes (require_once) php file(s) inside selected folder
	 */
	public static function require_files( $path, $fileName ) {

		if ( is_string( $fileName ) ) {
			require_once kite_path_combine( $path, $fileName ) . '.php';
		} elseif ( is_array( $fileName ) ) {
			foreach ( $fileName as $name ) {
				require_once kite_path_combine( $path, $name ) . '.php';
			}
		} else {
			// Throw error
			throw new Exception( 'Unknown parameter type' );
		}
	}
}

// Include framework files

Kite_Framework::require_files(
	KITEST_THEME_LIB,
	array(
		'constants',
		'icons',
		'utilities',
		'breadcrumb',
		'scripts',
		'support',
		'retina-upload',
		'sidebars',
		'plugins-handler',
		'nav-walker',
		'menu/menu-setting',
		'menus',
		'portfolio-nav-walker',
		'shortcodes/shortcodes',
		'loader',
		'settings',
		'elementor/functions',
	)
);

if ( is_admin() ) {
	Kite_Framework::require_files(
		KITEST_THEME_LIB . '/admin',
		array(
			'admin-base',
			'admin-hooks'
		)
	);
}

if ( wp_doing_ajax() ) {
	Kite_Framework::require_files(
		KITEST_THEME_LIB,
		array(
			'ajax-hooks'
		)
	);
}

// Check if woocommerce plugin is active or not
if ( kite_woocommerce_installed() ) {
	Kite_Framework::require_files(
		KITEST_THEME_LIB,
		array(
			'woocommerce/attribute-setting',
			'woocommerce/woocommerce-hooks'
		)
	);
}
// Add post types
if ( class_exists( 'Kite_Post_Type' ) ) {
	Kite_Framework::require_files(
		KITEST_THEME_LIB . '/post-types',
		array(
			'portfolio',
			'blog',
			'page',
			'gallery',
			'product',
		)
	);
}

// Add widgets
Kite_Framework::require_files(
	KITEST_THEME_LIB . '/widgets',
	array(
		'widget-flickr',
		'widget-instagram',
		'widget-recent-posts',
		'widget-video',
		'widget-progress',
		'widget-facebook',
		'widget-woocommerce-wishlist-icon',
		'widget-advanced-layered-nav',
		'widget-woocommerce-ranged-price-filter',
		'widget-woocommerce-on-sale-filter',
		'widget-woocommerce-in-stock-filter',
		'widget-woocommerce-layered-nav-filters',
		'widget-woocommerce-order-by-filter',
		'widget-woocommerce-rating-filter',
	)
);
