<?php

/**
 * ------------------------------------------------------------------------------------------------
 * Init Theme Settings and Options with Redux plugin
 * ------------------------------------------------------------------------------------------------
 */

if ( ! class_exists( 'Redux' ) ) {
	return;
}
	$opt_name = KITEST_OPTIONS_KEY;
	$theme    = wp_get_theme();

	$args = array(
		'opt_name'             => $opt_name,
		'display_name'         => $theme->get( 'Name' ),
		'display_version'      => $theme->get( 'Version' ),
		'menu_type'            => 'menu',
		'allow_sub_menu'       => true,
		'menu_title'           => esc_html__( 'Theme Settings', 'pinkmart' ),
		'page_title'           => esc_html__( 'Theme Settings', 'pinkmart' ),
		'google_api_key'       => '',
		'google_update_weekly' => false,
		'async_typography'     => false,
		'admin_bar'            => true,
		'admin_bar_icon'       => 'dashicons-portfolio',
		'admin_bar_priority'   => 50,
		'global_variable'      => '',
		'dev_mode'             => false,
		'update_notice'        => true,
		'customizer'           => true,
		'page_priority'        => 3,
		'page_parent'          => 'themes.php',
		'page_permissions'     => 'manage_options',
		'menu_icon'            => '',
		'last_tab'             => '',
		'page_icon'            => 'icon-themes',
		'page_slug'            => 'theme_settings',
		'save_defaults'        => true,
		'default_show'         => false,
		'default_mark'         => '',
		'show_import_export'   => true,
		'transient_time'       => 60 * MINUTE_IN_SECONDS,
		'output'               => true,
		'output_tag'           => true,
		'footer_credit'        => '1.0',
		'database'             => '',
		'system_info'          => false,
		'hints'                => array(
			'icon'          => 'el el-question-sign',
			'icon_position' => 'right',
			'icon_color'    => 'lightgray',
			'icon_size'     => 'normal',
			'tip_style'     => array(
				'color'   => 'light',
				'shadow'  => true,
				'rounded' => false,
				'style'   => '',
			),
			'tip_position'  => array(
				'my' => 'top left',
				'at' => 'bottom right',
			),
			'tip_effect'    => array(
				'show' => array(
					'effect'   => 'slide',
					'duration' => '500',
					'event'    => 'mouseover',
				),
				'hide' => array(
					'effect'   => 'slide',
					'duration' => '500',
					'event'    => 'click mouseleave',
				),
			),
		),
	);

	Redux::setArgs( $opt_name, $args );

	do_action( 'kite_before_settings_initialized' );

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'General Settings', 'pinkmart' ),
			'id'     => 'general',
			'icon'   => 'icon-cog',
			'fields' => array(
				array(
					'id'      => 'page_breadcrumb',
					'type'    => 'switch',
					'title'   => esc_html__( 'Header BreadCrumb', 'pinkmart' ),
					'default' => true,
				),
				array(
					'id'       => 'favicon',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Specify custom favicon URL or upload a new one here.', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Favicon', 'pinkmart' ),
					'class'    => 'favicon',
				),
				array(
					'id'       => 'scrolling-easing',
					'type'     => 'select',
					'title'    => esc_html__( 'Page Scrolling Motion Effect', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select one of the scrolling motion effects bellow.', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'options'  => array(
						'linear'           => 'linear',
						'easeInQuad'       => 'Ease In Quad',
						'easeOutQuad'      => 'Ease Out Quad',
						'easeInOutQuad'    => 'Ease In Out Quad',
						'easeInCubic'      => 'Ease In Cubic',
						'easeOutCubic'     => 'Ease Out Cubic',
						'easeInOutCubic'   => 'Ease In Out Cubic',
						'easeInQuart'      => 'Ease In Quart',
						'easeOutQuart'     => 'Ease Out Quart',
						'easeInOutQuart'   => 'Ease In Out Quart',
						'easeInQuint'      => 'Ease In Quint',
						'easeOutQuint'     => 'Ease Out Quint',
						'easeInOutQuint'   => 'Ease In Out Quint',
						'easeInSine'       => 'Ease In Sine',
						'easeOutSine'      => 'Ease Out Sine',
						'easeInOutSine'    => 'Ease In Out Sine',
						'easeInExpo'       => 'Ease In Expo',
						'easeOutExpo'      => 'Ease Out Expo',
						'easeInOutExpo'    => 'Ease In Out Expo',
						'easeInCirc'       => 'Ease In Circ',
						'easeOutCirc'      => 'Ease Out Circ',
						'easeInOutCirc'    => 'Ease In Out Circ',
						'easeInElastic'    => 'Ease In Elastic',
						'easeOutElastic'   => 'Ease Out Elastic',
						'easeInOutElastic' => 'Ease In Out Elastic',
						'easeInBack'       => 'Ease In Back',
						'easeOutBack'      => 'Ease Out Back',
						'easeInOutBack'    => 'Ease In Out Back',
						'easeInBounce'     => 'Ease In Bounce',
						'easeOutBounce'    => 'Ease Out Bounce',
						'easeInOutBounce'  => 'Ease In Out Bounce',
					),
					'default'  => 'easeInOutQuart',
				),
				array(
					'id'            => 'scrolling-speed',
					'type'          => 'slider',
					'title'         => esc_html__( 'Scrolling Speed', 'pinkmart' ),
					'subtitle'      => esc_html__( 'Adjust the speed of pages vertical scrolling.', 'pinkmart' ),
					'default'       => 1000,
					'min'           => 5,
					'step'          => 50,
					'max'           => 5000,
					'display_value' => 'label',
				),
				array(
					'id'       => 'login-logo',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Upload dashboard\'s login page logo. ( best size : 302px X 62px ) ( PNG , JPG , GIF )', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Dashboard\'s Login Page Logo', 'pinkmart' ),
				),
				array(
					'id'       => 'retina_ready',
					'type'     => 'switch',
					'title'    => esc_html__( 'Retina Ready', 'pinkmart' ),
					'subtitle' => esc_html__( 'You can enable or disable retina. notice that enabling this option generate more images', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => 0,
				),
				array(
					'id'       => 'portfolio_gallery_images',
					'type'     => 'switch',
					'title'    => esc_html__( 'Gallery Images Sizes', 'pinkmart' ),
					'subtitle' => wp_kses( __( '<p> Enable/Disable generating of the Portfolio/Gallery image sizes. </p> After Enabling this option, use the <a href="https://wordpress.org/plugins/regenerate-thumbnails/" target="_blank">Regenerating Thumbnail Plugin</a> to generate the size needed for your uploaded images.', 'pinkmart' ), 'socialtags' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => 0,
				),
				array(
					'id'       => 'container_size',
					'type'     => 'switch',
					'title'    => esc_html__( 'Pages Container Size', 'pinkmart' ),
					'subtitle' => esc_html__( 'Predefined size is set to 1220px.', 'pinkmart' ),
					'on'       => esc_html__( 'Predefined Size', 'pinkmart' ),
					'off'      => esc_html__( 'Custom Size', 'pinkmart' ),

					'default'  => true,
				),
				array(
					'id'            => 'dynamic_container_size',
					'type'          => 'slider',
					'title'         => esc_html__( 'Custom Container Size', 'pinkmart' ),
					'subtitle'      => esc_html__( 'Adjust the size of pages container width. (Defined by pixle)', 'pinkmart' ),
					'default'       => 1200,
					'min'           => 1200,
					'step'          => 1,
					'max'           => 1600,
					'display_value' => 'label',
					'required'      => array( 'container_size', '=', false ),
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Color Scheme', 'pinkmart' ),
			'id'     => 'color',
			'icon'   => 'icon-bucket',
			'fields' => array(
				array(
					'id'       => 'style-accent-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Accent Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Accent color for theme elements.', 'pinkmart' ),
					'default'  => array(
						'color' => '#ff4c2f',
						'alpha' => '1',
					),

					'mode'     => 'background',

				),
				array(
					'id'       => 'style-highlight-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Highlight Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Highlight color on the highlited elements.', 'pinkmart' ),
					'default'  => array(
						'color' => '#424242',
						'alpha' => '1',
					),

					'mode'     => 'background',

				),
				array(
					'id'      => 'element-on-accent-color-style',
					'title'   => esc_html__( 'Chroma of Elements Placed On Accent Color', 'pinkmart' ),
					'type'    => 'switch',
					'on'      => esc_html__( 'Light', 'pinkmart' ),
					'off'     => esc_html__( 'Dark', 'pinkmart' ),
					'default' => true,
				),
				array(
					'id'     => 'Link_Color_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Link Color', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'style-link-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Normal Link Color', 'pinkmart' ),
					'default' => array(
						'color' => '#ff4c2f',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'      => 'style-link-hover-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'On Hover Link Color', 'pinkmart' ),
					'default' => array(
						'color' => '#424242',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'     => 'Link_Color_section_end',
					'type'   => 'section',
					'indent' => false,
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Pages Loading Transition', 'pinkmart' ),
			'id'     => 'preloader',
			'icon'   => 'icon-toggle',
			'fields' => array(
				array(
					'id'       => 'loader_display',
					'title'    => esc_html__( 'Switch preloader | page transition', 'pinkmart' ),
					'subtitle' => esc_html__( 'You can switch between preloader and page transition effect. This loader would be shown before your website is loaded completely.', 'pinkmart' ),
					'type'     => 'radio',
					'options'  => array(
						'1' => 'Preloader',
						'2' => 'Page Transition',
						'3' => 'None',
					),
					'default'  => '3',
				),
				array(
					'id'       => 'transition_type_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Page Transition style', 'pinkmart' ),
					'indent'   => true,
					'required' => array( 'loader_display', '=', 2 ),

				),
				array(
					'id'       => 'page-transition-type',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Page transitions style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the style of page transition.', 'pinkmart' ),
					'class'    => 'page-transition',
					'options'  => array(
						'fade'              => array(
							'alt' => 'fade',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade.png',
						),
						'fade-up'           => array(
							'alt' => 'fade-up',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-up.png',
						),
						'fade-up-medium'    => array(
							'alt' => 'fade-up-medium',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-up-medium.png',
						),
						'fade-righ'         => array(
							'alt' => 'fade-righ',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-right.png',
						),
						'fade-right-medium' => array(
							'alt' => 'fade-right-medium',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-right-medium.png',
						),
						'fade-down'         => array(
							'alt' => 'fade-down',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-down.png',
						),
						'fade-down-medium'  => array(
							'alt' => 'fade-down-medium',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-down-medium.png',
						),
						'fade-left'         => array(
							'alt' => 'fade-left',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-left.png',
						),
						'fade-left-medium'  => array(
							'alt' => 'fade-left-medium',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/fade-left-medium.png',
						),
						'scaleup'           => array(
							'alt' => 'scaleup',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/scale-up.png',
						),
						'none'              => array(
							'alt' => 'none',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/transition/none.png',
						),
					),
					'default'  => 'none',
				),
				array(
					'id'     => 'transition_type_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'preloader_type_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Preloader Type', 'pinkmart' ),
					'indent'   => true,
					'required' => array( 'loader_display', '=', 1 ),

				),
				array(
					'id'      => 'preloader_display',
					'title'   => esc_html__( 'Switch preloader | page transition', 'pinkmart' ),
					'type'    => 'switch',
					'on'      => esc_html__( 'Display always', 'pinkmart' ),
					'off'     => esc_html__( 'Display just Between pages', 'pinkmart' ),
					'default' => true,
				),
				array(
					'id'      => 'preloader-type',
					'type'    => 'image_select',
					// Must provide key => value(array:title|img) pairs for radio options
					'options' => array(
						'circular' => array(
							'alt' => 'circular',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/preloader/circular.png',
						),
						'creative' => array(
							'alt' => 'creative',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/preloader/creative.png',
						),
						'simple'   => array(
							'alt' => 'simple',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/preloader/simple.png',
						),
						'sniper'   => array(
							'alt' => 'sniper',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/preloader/sniper.png',
						),
					),
					'default' => 'simple',
				),
				array(
					'id'     => 'preloader_type_section_end',
					'type'   => 'section',
					'indent' => false,
				),

				array(
					'id'       => 'preloader_color_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Preloader Color', 'pinkmart' ),
					'indent'   => true,
					'required' => array( 'loader_display', '=', 1 ),

				),
				array(
					'id'      => 'preloader_color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'color', 'pinkmart' ),
					'default' => array(
						'color' => '#c7c7c7',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'      => 'preloader_bg_color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Background color', 'pinkmart' ),
					'default' => array(
						'color' => '#efefef',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'       => 'preloader_box_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Box color', 'pinkmart' ),
					'default'  => array(
						'color' => '#f7f7f7',
						'alpha' => '1',
					),

					'mode'     => 'background',

					'required' => array( 'preloader-type', '=', 'creative' ),
				),
				array(
					'id'       => 'preloader_text_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Preloader Text', 'pinkmart' ),
					'indent'   => true,
					'required' => array( 'preloader-type', '=', 'creative' ),
				),
				array(
					'id'    => 'preloader-text',
					'type'  => 'text',
					'title' => esc_html__( 'Preloader Text', 'pinkmart' ),
				),
				array(
					'id'      => 'preloader_text_color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Preloader Text color', 'pinkmart' ),
					'default' => array(
						'color' => '#000',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'     => 'preloader_text_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'preloader-logo',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Choose an image to make it appear in preloader page. (PNG, GIF, JPG)', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Preloader Image', 'pinkmart' ),
					'required' => array( 'preloader-type', '=', 'creative' ),
				),

			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Popup Newsletter', 'pinkmart' ),
			'id'     => 'Popup_Newsletter',
			'icon'   => 'icon-news',
			'fields' => array(
				array(
					'id'       => 'popupNewsletterDisplay',
					'type'     => 'switch',
					'title'    => esc_html__( 'Popup Newsletter Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'This Newsletter will be shown to the visitors when they enter the site. You can enable or disable it.', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'     => 'popupNewsLetter_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Popup Newsletter Title and Subtitle', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'popupNewsLetterTitle',
					'type'     => 'text',
					'title'    => esc_html__( 'Title', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a title for the newsletter.', 'pinkmart' ),

				),
				array(
					'id'       => 'popupNewsLetterSubtitle',
					'type'     => 'text',
					'title'    => esc_html__( 'Subtitle', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a subtitle for the newsletter.', 'pinkmart' ),

				),
				array(
					'id'     => 'popupNewsLetter_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'popupNewsLetterShortcode',
					'type'     => 'text',
					'title'    => esc_html__( 'Popup Newsletter Shortcode', 'pinkmart' ),
					'subtitle' => esc_html__( 'Add a newsletter shortcode in this box. You can create your desired form by Mailchimp and then insert its shortcode here.', 'pinkmart' ),
				),
				array(
					'id'       => 'popupNewsLetterBackgroundImage',
					'type'     => 'media',
					'operator' => 'and',
					'title'    => esc_html__( 'Popup Newsletter Background Image', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a background image for the popup newsletter. It is better to use vertical photo (320*400).', 'pinkmart' ),
				),
				array(
					'id'       => 'popupNewsLetterText',
					'type'     => 'text',
					'title'    => esc_html__( 'Popup Newsletter Extra Content', 'pinkmart' ),
					'subtitle' => esc_html__( 'You can write some extra text to show on the newsletter popup.', 'pinkmart' ),
				),
				array(
					'id'       => 'popupNewsLetterDisplayMobile',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show On Mobile', 'pinkmart' ),
					'subtitle' => esc_html__( 'Show the popup in mobile devices', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'            => 'popupNewsLetterDelay',
					'type'          => 'slider',
					'title'         => esc_html__( 'Delay Time', 'pinkmart' ),
					'default'       => 1000,
					'min'           => 5,
					'step'          => 50,
					'max'           => 8000,
					'display_value' => 'label',
					'subtitle'      => esc_html__( 'Adjust the popup delay time after page loaded. (Defined by Milliseconds)', 'pinkmart' ),
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Header | Menu', 'pinkmart' ),
			'id'     => 'header_menu',
			'icon'   => 'icon-window',
			'fields' => array(
				array(
					'id'       => 'header-type',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Header Type', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select header type', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						0  => array(
							'alt' => 'type-0',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-0.png',
						),
						1  => array(
							'alt' => 'type-1',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-1.png',
						),
						2  => array(
							'alt' => 'type-2',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-2.png',
						),
						3  => array(
							'alt' => 'type-3',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-3.png',
						),
						4  => array(
							'alt' => 'type-4',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-4.png',
						),
						5  => array(
							'alt' => 'type-5',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-5.png',
						),
						6  => array(
							'alt' => 'type-6',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-6.png',
						),
						9  => array(
							'alt' => 'type-9',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-9.png',
						),
						10 => array(
							'alt' => 'type-10',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/type-10.png',
						),


					),
					'default'  => 1,
				),
				array(
					'id'     => 'responsive_header_section_start',
					'type'   => 'section',
					'indent' => true,
					'title'	 => esc_html( 'Responsive Header Settings', 'pinkmart' ),
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', 8 ),
					),
				),
				array(
					'id'       => 'mobile_header_style',
					'type'     => 'switch',
					'title'    => esc_html__( 'Mobile Header Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the style of header in responsive mode.', 'pinkmart' ),
					'on'       => esc_html__( 'Dark', 'pinkmart' ),
					'off'      => esc_html__( 'Light', 'pinkmart' ),
					'default'  => false,
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', 8 ),
						array( 'header-type', '!=', '10' ),
					),
				),
				array(
					'id'       => 'mobile_menu-color',
					'type'     => 'switch',
					'title'    => esc_html__( 'Mobile Off Canvas Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the style of off canvas menu in responsive mode.', 'pinkmart' ),
					'on'       => esc_html__( 'Dark', 'pinkmart' ),
					'off'      => esc_html__( 'Light', 'pinkmart' ),
					'default'  => true,
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', 8 ),
						array( 'header-type', '!=', '10' ),
					),
				),
				array(
					'id'      => 'responsive-second-state',
					'type'    => 'switch',
					'title'   => esc_html__( 'Second State Header On Mobile', 'pinkmart' ),
					'default' => false,
				),
				array(
					'id'     => 'menu-color_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'logo_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Logo', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'logo',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Uplaod your header logo.', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Initial Header Logo', 'pinkmart' ),
				),
				array(
					'id'       => 'logo-second',
					'type'     => 'media',
					'subtitle' => esc_html__( 'This logo will be shown at the second state header.', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Second State Header Logo', 'pinkmart' ),
					'required' => array( 'header-style', '=', 'kite-menu' ),
				),
				array(
					'id'       => 'responsivelogo',
					'type'     => 'media',
					'subtitle' => esc_html__( 'It\'s the logo that will only be shown in responsive mode (Mobile and tablets)', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Mobile Logo', 'pinkmart' ),
				),
				array(
					'id'     => 'logo_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'shop_cart_button_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Cart Button', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'shop-enable-cart',
					'type'     => 'switch',
					'title'    => esc_html__( 'Cart Button Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable menu cart menu button', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => true,
				),
				array(
					'id'      => 'icon_type',
					'type'    => 'image_select',
					'title'   => esc_html__( 'Cart icon', 'pinkmart' ),
					'class'   => 'icon_type',
					'default' => 'cart',
					'options' => array(
						'cart-full'       => array(
							'alt' => 'cart-full',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/cart-full.png',
						),
						'cart-empty'      => array(
							'alt' => 'cart-empty',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/cart-empty.png',
						),
						'cart'            => array(
							'alt' => 'cart',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/cart.png',
						),
						'bag2'            => array(
							'alt' => 'bag2',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/bag2.png',
						),
						'bag'             => array(
							'alt' => 'bag',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/bag.png',
						),
						'shopping-basket' => array(
							'alt' => 'shopping-basket',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/shopping-basket.png',
						),
						'shopping-bag'    => array(
							'alt' => 'shopping-bag',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/shopping-bag.png',
						),
						'shopping-cart'   => array(
							'alt' => 'shopping-cart',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/cart_icons/shopping-cart.png',
						),
					),
				),
				array(
					'id'     => 'shop_cart_button_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'wishlist_button_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Wishlist Button ', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'header-wishlist-display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Wishlist Button Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable the display of the wishlist button.', 'pinkmart' ),
					'default'  => true,
				),
				array(
					'id'       => 'responsive-wishlist-display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show Wishlist in Responsive', 'pinkmart' ),
					'subtitle' => esc_html__( 'Show the wishlist button in responsive mode or not.', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'     => 'wishlist_button_section_end',
					'type'   => 'section',
					'indent' => false,
				),

				array(
					'id'     => 'wishlist_cart_button_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Cart/wishlist Button Chroma', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'shop-wishlist-cart-style',
					'type'     => 'switch',
					'title'    => esc_html__( 'Cart/wishlist Button Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the Cart/wishlist button style.', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the Cart/wishlist button style.', 'pinkmart' ),
					'on'       => esc_html__( 'Dark Icon', 'pinkmart' ),
					'off'      => esc_html__( 'Light Icon', 'pinkmart' ),
					'default'  => true,
				),
				array(
					'id'       => 'shop-wishlist-cart-bg-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Cart/wishlist Button Background Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a background color for the Cart/wishlist button.', 'pinkmart' ),
					'default'  => array(
						'color' => '#eee',
						'alpha' => '1',
					),
					'mode'     => 'background',
				),
				array(
					'id'     => 'wishlist_cart_button_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'menu-container',
					'type'     => 'switch',
					'title'    => esc_html__( 'Header Menu', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the header menu to be boxed or full-width.', 'pinkmart' ),
					'on'       => esc_html__( 'Full Width', 'pinkmart' ),
					'off'      => esc_html__( 'Boxed', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'header-style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Second State Header Type', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select what to happens to the header after scrolling down the page.', 'pinkmart' ),

					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						'normal-menu' => array(
							'alt' => 'normal-menu',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/normal-menu.png',
						),
						'kite-menu'   => array(
							'alt' => 'kite-menu',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/kite-menu.png',
						),
						'fixed-menu'  => array(
							'alt' => 'fixed-menu',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/fixed-menu.png',
						),
					),
					'default'  => 'normal-menu',
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Header Promo Bar', 'pinkmart' ),
			'id'     => 'Header_PromoBar',
			'icon'   => 'icon-reading',
			'subsection' => true,
			'fields' => array(
				array(
					'id'       => 'Header_PromoBar_Display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Promo Bar Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'The promo bar will be shown on top of the home page.', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'Header_PromoBar_text',
					'type'     => 'textarea',
					'title'    => esc_html__( 'Promo Bar Text', 'pinkmart' ),
					'subtitle' => esc_html__( 'Add a text to show on promo bar.', 'pinkmart' ),
				),

				array(
					'id'      => 'Header_PromoBar_textcolor',
					'type'    => 'switch',
					'title'   => esc_html__( 'Chroma of Promo Bar Text', 'pinkmart' ),
					'on'      => esc_html__( 'Dark', 'pinkmart' ),
					'off'     => esc_html__( 'Light', 'pinkmart' ),
					'default' => 'light',
				),


				array(
					'id'       => 'Header_PromoBar_btntext',
					'type'     => 'text',
					'title'    => esc_html__( 'Promo Bar Button', 'pinkmart' ),
					'subtitle' => esc_html__( 'This text will be Shown on your button. Leave it blank if you don\'t want to have the promo bar button.', 'pinkmart' ),
				),


				array(
					'id'       => 'Header_PromoBar_Link',
					'type'     => 'text',
					'title'    => esc_html__( 'Promo Bar link URL', 'pinkmart' ),
					'subtitle' => esc_html__( 'This link will be used for redirecting visitors after clicking on the promo bar or its button.', 'pinkmart' ),
				),
				array(
					'id'     => 'Header_PromoBar_height_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Promo Bar Height', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'            => 'Header_PromoBar_height',
					'type'          => 'slider',
					'title'         => esc_html__( 'Height of promo bar in desktop', 'pinkmart' ),
					'subtitle'      => esc_html__( 'Defined by pixle', 'pinkmart' ),
					'default'       => 50,
					'min'           => 50,
					'step'          => 1,
					'max'           => 200,
					'display_value' => 'label',
				),
				array(
					'id'            => 'Header_PromoBar_mobileheight',
					'type'          => 'slider',
					'title'         => esc_html__( 'Height of promo bar in responsive', 'pinkmart' ),
					'subtitle'      => esc_html__( 'The measurement unit is a pixel.', 'pinkmart' ),
					'default'       => 60,
					'min'           => 60,
					'step'          => 1,
					'max'           => 200,
					'display_value' => 'label',
				),
				array(
					'id'     => 'Header_PromoBar_height_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'Header_PromoBar_style_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Promo Bar Background Style', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'Header_PromoBar_BgImage',
					'type'     => 'media',
					'operator' => 'and',
					'title'    => esc_html__( 'Promo Bar Background Image', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a background image for the Promo Bar.', 'pinkmart' ),
				),

				array(
					'id'       => 'Header_PromoBar_BgColor',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Promo Bar Background Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a background color for the Promo Bar.', 'pinkmart' ),
					'default'  => array(
						'color' => '#000000',
						'alpha' => '1',
					),
					'mode'     => 'background',
				),
				array(
					'id'     => 'Header_PromoBar_style_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'Header_PromoBar_closebtn',
					'type'     => 'switch',
					'title'    => esc_html__( 'Promo Bar Close button Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'Showing of the close button.', 'pinkmart' ),
					'default'  => true,
				),


			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Top Bar', 'pinkmart' ),
			'id'     => 'topbar',
			'icon'   => 'icon-window-maximize',
			'subsection' => true,
			'fields' => array(
				array(
					'id'       => 'topbar_display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Enable Topbar', 'pinkmart' ),
					'subtitle' => esc_html__( 'You can enable or disable the top bar here. Top bar is the bar that sticks to top of your page.', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'boxed_topbar',
					'type'     => 'switch',
					'title'    => esc_html__( 'Topbar Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'You can choose the top bar to be boxed or full-width', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Boxed', 'pinkmart' ),
					'off'      => esc_html__( 'Fullwidth', 'pinkmart' ),
				),
				array(
					'id'     => 'topbar_style_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Style', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'topbar_bg_color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Topbar Content Chroma', 'pinkmart' ),
					'default' => array(
						'color' => '#eee',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'       => 'topbar_border_color',
					'type'     => 'color_rgba',
					'title'    => 'Topbar Border Color',
					'class'    => 'topbar-border-color',
					'subtitle' => esc_html__( 'Do you want the top bar have border? Choose its color.', 'pinkmart' ),
					'default'  => array(
						'color' => '#eee',
						'alpha' => '1',
					),

					'mode'     => 'background',

				),
				array(
					'id'      => 'topbar_style',
					'type'    => 'switch',
					'title'   => esc_html__( 'Topbar Color', 'pinkmart' ),
					'on'      => esc_html__( 'Light', 'pinkmart' ),
					'off'     => esc_html__( 'Dark', 'pinkmart' ),
					'default' => false,
				),
				array(
					'id'     => 'topbar_style_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'    => 'topbar_icon',
					'type'  => 'icon_picker',
					'title' => esc_html__( 'Topbar Icon', 'pinkmart' ),
				),
				array(
					'id'     => 'topbar_text_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Title and Text', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'    => 'topbar_title',
					'type'  => 'text',
					'title' => esc_html__( 'Top bar title', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar_text',
					'type'  => 'text',
					'title' => esc_html__( 'Top bar text', 'pinkmart' ),
				),
				array(
					'id'     => 'topbar_text_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'topbar-compare-display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Top bar Compare', 'pinkmart' ),
					'default'  => true,
					'subtitle' => esc_html__( 'This Item Works Perfectly If WooCommerce and YithCompare Plugins are active.', 'pinkmart' ),
				),
				array(
					'id'     => 'topbar_language_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Language', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'    => 'topbar-language-1',
					'type'  => 'text',
					'title' => esc_html__( '1st Language', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-link-1',
					'type'  => 'text',
					'title' => esc_html__( '1st Language URL', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-2',
					'type'  => 'text',
					'title' => esc_html__( 'Second Language', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-link-2',
					'type'  => 'text',
					'title' => esc_html__( 'Second Language URL', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-3',
					'type'  => 'text',
					'title' => esc_html__( 'Third Language', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-link-3',
					'type'  => 'text',
					'title' => esc_html__( 'Third Language URL', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-4',
					'type'  => 'text',
					'title' => esc_html__( 'Fourth Language', 'pinkmart' ),
				),
				array(
					'id'    => 'topbar-language-link-4',
					'type'  => 'text',
					'title' => esc_html__( 'Fourth Language URL', 'pinkmart' ),
				),
				array(
					'id'     => 'topbar_language_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'topbar-social-display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Social Icons', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable the social icons on the top bar.', 'pinkmart' ),
					'default'  => true,
				),
				array(
					'id'       => 'topbar_currency_shortcode',
					'type'     => 'text',
					'title'    => esc_html__( 'Currency Switcher shortcode', 'pinkmart' ),
					'subtitle' => esc_html__(
						"Enter the currency switcher shortcode here. The default shortcode is [woocs show_flags=0 flag_position='left'].
It is obvious that you should first install 'WooCommerce Currency Switcher' plugin which is available in theme's recommended plugins.",
						'pinkmart'
					),
					'default'  => '[woocs show_flags=0 flag_position="left"]',


				),
				array(
					'id'       => 'shop-login-link',
					'type'     => 'switch',
					'title'    => esc_html__( 'Login/My-account Button', 'pinkmart' ),
					'subtitle' => esc_html__( 'Show the Login/My Account button or not.', 'pinkmart' ),
					'default'  => true,
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Menu Options', 'pinkmart' ),
			'id'     => 'header_menu_options',
			'icon'   => 'icon-menu',
			'subsection' => true,
			'fields' => array(
				array(
					'id'       => 'humburger_menu_section_start',
					'type'     => 'section',
					'title'    => __( 'Humburger Menu Options', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '=', '10' ),
					),
				),
				array(
					'id'      => 'animated_text',
					'type'    => 'text',
					'title'   => __( 'Animated text', 'pinkmart' ),
					'default' => '',

				),
				array(
					'id'       => 'animated_text_Bgimage',
					'type'     => 'media',
					'operator' => 'and',
					'title'    => esc_html__( 'Animated text Background Image', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a background image for Animated text in humburger Menu.', 'pinkmart' ),
				),
				array(
					'id'       => 'animated_text_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Animated text color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a color for Animated text in humburger Menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#25252d',
						'alpha' => '1',
					),
					'mode'     => 'background',
				),
				array(
					'id'       => 'menu_icon_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Menu Icon Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a color for Menu Icon.', 'pinkmart' ),
					'default'  => array(
						'color' => '#25252d',
						'alpha' => '1',
					),
					'mode'     => 'background',
				),
				array(
					'id'       => 'menu_icon_bgcolor',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Menu Icon Background Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a background color for Menu Icon', 'pinkmart' ),
					'default'  => array(
						'color' => '#fafafa',
						'alpha' => '1',
					),
					'mode'     => 'background',
				),
				array(
					'id'     => 'humburger_menu_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'cat-menu_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Category Menu', 'pinkmart' ),
					'indent'   => true,
					'required' => array( 'header-type', '=', 0 ),

				),
				array(
					'id'    	=> 'cat-menu-title',
					'type'  	=> 'text',
					'title' 	=> esc_html__( 'Categry Menu Title', 'pinkmart' ),
					'default'	=> esc_html__( 'All Categories', 'pinkmart' ),
				),
				array(
					'id'       => 'cat-menu-state-open',
					'type'     => 'switch',
					'title'    => esc_html__( 'Category Menu State', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select State Of Category Menu', 'pinkmart' ),
					'on'       => esc_html__( 'Open', 'pinkmart' ),
					'off'      => esc_html__( 'Close', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'      => 'cat-menu-state-light',
					'type'    => 'switch',
					'title'   => esc_html__( 'Category Menu Chroma', 'pinkmart' ),
					'on'      => esc_html__( 'Light', 'pinkmart' ),
					'off'     => esc_html__( 'Dark', 'pinkmart' ),
					'default' => false,
				),
				array(
					'id'     => 'cat-menu_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'hover-menu_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Menu Titles Hover Style', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', 8 ),
						array( 'header-type', '!=', '10' ),
					),
				),
				array(
					'id'       => 'menu-hover-style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Menu Hover Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose menu hover style.', 'pinkmart' ),
					'class'    => 'menu-hover-style',
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(


						3 => array(
							'alt' => 'hover_style1',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/hover_style1.png',
						),
						2 => array(
							'alt' => 'hover_style2',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/hover_style2.png',
						),
						1 => array(
							'alt' => 'hover_style4',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/hover_style4.png',
						),
						0 => array(
							'alt' => 'hover_style3',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/hover_style3.png',
						),
					),
					'default'  => 3,

				),
				array(
					'id'     => 'hover-menu_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'initial-menu-color_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Initial Menu Colors', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '!=', 8 ),
						array( 'header-type', '!=', 7 ),
					),
				),
				array(
					'id'       => 'initial-menu-background-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Background Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the color and set the opacity for initial menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#ffffff',
						'alpha' => '1',
					),
					'required' => array(
						array( 'header-type', '!=', '10' ),
					),
					'mode'     => 'background',

				),
				array(
					'id'       => 'initial-menu-text-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Text Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the color and set the opacity for initial menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#000000',
						'alpha' => '1',
					),

					'mode'     => 'background',

				),
				array(
					'id'       => 'initial-menu-text-color-hover',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Text hover Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the color and set the opacity for initial menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#000000',
						'alpha' => '1',
					),
					'required' => array(
						array( 'header-type', '=', '10' ),
					),
					'mode'     => 'background',
				),
				array(
					'id'       => 'initial-menu-text-hover-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Text Hover Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the color and set the opacity for initial menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#000000',
						'alpha' => '1',
					),
					'class'    => 'menu-hover-color',
					'mode'     => 'background',
					'required' => array(
						array( 'menu-hover-style', '!=', 3 ),
						array( 'header-type', '!=', '10' ),

					),
				),
				array(
					'id'       => 'initial-menu-text-bg-hover-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'on-hover Background Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the color and set the opacity for initial menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#f83333',
						'alpha' => '1',
					),
					'mode'     => 'background',
					'required' => array(
						array( 'header-type', '!=', '10' ),
						array( 'menu-hover-style', '!=', 3 ),
						array( 'menu-hover-style', '!=', 2 ),

					),
				),
				array(
					'id'       => 'initial-menu-border-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Border Color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the color and set the opacity for initial menu.', 'pinkmart' ),
					'default'  => array(
						'color' => '#eee',
						'alpha' => '0',
					),
					'required' => array(
						array( 'header-type', '!=', '10' ),
					),
					'mode'     => 'background',
				),
				array(
					'id'     => 'initial-menu-color_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'menu-color_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Second State Header Menu Colors', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', '10' ),
					),
				),
				array(
					'id'      => 'menu-background-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Menu Background Color', 'pinkmart' ),
					'default' => array(
						'color' => '#ffffff',
						'alpha' => '1',
					),
					'mode'    => 'background',
				),
				array(
					'id'      => 'menu-text-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Menu Text Color', 'pinkmart' ),
					'default' => array(
						'color' => '#000000',
						'alpha' => '1',
					),
					'mode'    => 'background',
				),
				array(
					'id'      => 'menu-text-hover-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Menu Text Hover Color', 'pinkmart' ),
					'default' => array(
						'color' => '#000000',
						'alpha' => '1',
					),
					'class'   => 'menu-hover-color',
					'mode'    => 'background',
				),
				array(
					'id'       => 'menu-text-bg-hover-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Menu on-hover Background Color', 'pinkmart' ),
					'default'  => array(
						'color' => '#e8e8e8',
						'alpha' => '1',
					),
					'required' => array(
						array( 'header-type', '!=', '10' ),
					),
					'class'    => 'menu-bg-hover-color',
					'mode'     => 'background',
				),
				array(
					'id'      => 'menu-border-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Menu Border Color', 'pinkmart' ),
					'default' => array(
						'color' => '#eee',
						'alpha' => '0',
					),
					'class'   => 'border-color',
					'mode'    => 'background',
				),
				array(
					'id'            => 'menu-opacity',
					'type'          => 'slider',
					'title'         => esc_html__( 'Menu Background image Opacity', 'pinkmart' ),
					'default'       => 30,
					'min'           => 0,
					'step'          => 1,
					'max'           => 100,
					'display_value' => 'label',
					'required'      => array(
						array( 'header-type', '=', 7 ),
						array( 'header-type', '=', 8 ),
					),
				),
				array(
					'id'       => 'submenu-hover_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Submenu Items Hover Style', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', 8 ),
						array( 'header-type', '!=', '10' ),
					),
				),
				array(
					'id'       => 'submenu-hover-style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Submenu Hover Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the submenu items hover style.', 'pinkmart' ),
					'class'    => 'submenu-hover-style',
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						1 => array(
							'alt' => 'submenu_hover_style1',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/submenu_hover_style1.jpg',
						),
						0 => array(
							'alt' => 'submenu_hover_style2',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/menu/submenu_hover_style2.jpg',
						),
					),
					'default'  => 0,
				),
				array(
					'id'     => 'submenu-hover_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'submenu-color_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Submenu Colors', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '!=', 7 ),
						array( 'header-type', '!=', 8 ),
						array( 'header-type', '!=', '10' ),
					),
				),
				array(
					'id'      => 'submenu-background-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Submenu Background Color', 'pinkmart' ),
					'default' => array(
						'color' => '#fff',
						'alpha' => '1',
					),
					'mode'    => 'background',

				),
				array(
					'id'      => 'submenu-text-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Submenu Text Color', 'pinkmart' ),
					'default' => array(
						'color' => '#222',
						'alpha' => '1',
					),
					'mode'    => 'background',
				),
				array(
					'id'      => 'submenu-heading-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Submenu Heading Color', 'pinkmart' ),
					'default' => array(
						'color' => '#111',
						'alpha' => '1',
					),
					'mode'    => 'background',
				),
				array(
					'id'     => 'submenu-color_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'vertical_menu-text_start',
					'type'     => 'section',
					'title'    => esc_html__( 'vertical Menu Text and Background', 'pinkmart' ),
					'indent'   => true,
					'required' => array(
						array( 'header-type', '=', 7 ),
						array( 'header-type', '=', 8 ),
					),
				),
				array(
					'id'       => 'vertical_menu_background',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Select image that Shown In Menu Background', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Upload Menu Background', 'pinkmart' ),
				),
				array(
					'id'      => 'vertical_menu_copyright',
					'type'    => 'text',
					'title'   => esc_html__( 'Copyright Text', 'pinkmart' ),
					'default' => '&copy; 2019 KiteStudio | Built With The '. KITEST_THEME_NAME .' Theme',
				),
				array(
					'id'     => 'vertical_menu-text_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'menu_font_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Menu Font', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'font-navigation-type',
					'type'    => 'select',
					'title'   => esc_html__( 'Menu Font', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'options' => array(
						'default' => 'Theme default font',
						'google'  => 'Google fonts',
						'custom'  => 'Custom font',
					),
					'default' => 'default',
				),
				array(
					'id'          => 'font-navigation',
					'type'        => 'typography',
					'title'       => esc_html__( 'Google Font', 'pinkmart' ),
					'google'      => true,
					'font-backup' => true,
					'output'      => array( 'h2.site-description' ),
					'units'       => 'px',
					'required'    => array( 'font-navigation-type', '=', 'google' ),
				),
				array(
					'id'          => 'custom-font-url-navigation',
					'type'        => 'text',
					'title'       => esc_html__( 'Font URL', 'pinkmart' ),
					'placeholder' => 'i.e. http://fonts.googleapis.com/css?family=Dosis',
					'required'    => array( 'font-navigation-type', '=', 'custom' ),
				),
				array(
					'id'          => 'custom-font-name-navigation',
					'type'        => 'text',
					'title'       => esc_html__( 'Font Name', 'pinkmart' ),
					'placeholder' => 'Dosis, sans-serif',
					'required'    => array( 'font-navigation-type', '=', 'custom' ),
				),
				array(
					'id'     => 'menu_font_section_end',
					'type'   => 'section',
					'indent' => false,
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Trident Search Options', 'pinkmart' ),
			'id'     => 'header_search_options',
			'icon'   => 'icon-search',
			'subsection' => true,
			'fields' => array(
				array(
					'id'     => 'search_section_start',
					'title'	 => esc_html( 'Search Options', 'pinkmart' ),
					'type'   => 'section',
					'indent' => true,
				),
				array(
					'id'       => 'searchbox-style',
					'type'     => 'switch',
					'title'    => esc_html__( 'Search Box Chroma', 'pinkmart' ),
					'on'       => esc_html__( 'dark', 'pinkmart' ),
					'off'      => esc_html__( 'light', 'pinkmart' ),
					'default'  => false,
					'required' => array(
						array( 'header-type', '=', 0 ),
					),
				),
				array(
					'id'       => 'menu-search',
					'type'     => 'switch',
					'title'    => esc_html__( 'Search Button', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable search in the header.', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => true,
				),
				array(
					'id'       => 'search_post_type',
					'type'     => 'select',
					'title'    => esc_html__( 'Search', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select the post type that you want the search engine work through it.', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'options'  => array(
						'product' => esc_html__( 'Product', 'pinkmart' ),
						'post'    => esc_html__( 'Post', 'pinkmart' ),
					),
					'default'  => 'product',
				),
				array(
					'id'       => 'search_form_hide_uncategorized',
					'type'     => 'switch',
					'title'    => esc_html__( 'Hide uncategorized option in categories list', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'search_form_hide_subcategories',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show only parent categories in categories list', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'search_result_columns',
					'type'     => 'switch',
					'title'    => esc_html__( 'Select search results column number', 'pinkmart' ),
					'on'       => esc_html__( '3 Columns', 'pinkmart' ),
					'off'      => esc_html__( '2 Columns', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'show_history_in_search',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show history before search result', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'show_tags_in_search_result',
					'type'     => 'switch',
					'title'    => esc_html__( 'Search in Keywords - show tags section in search result', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'       => 'show_cats_list_in_search_result',
					'type'     => 'switch',
					'title'    => esc_html__( 'Search in categories - show categories section in search result', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => false,
				),
				array(
					'id'     => 'search_section_end',
					'type'   => 'section',
					'indent' => false,
				),
			)
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Fonts', 'pinkmart' ),
			'id'     => 'fonts',
			'icon'   => 'icon-text-size',
			'fields' => array(
				array(
					'id'     => 'font-body_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Theme Main Font', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'font-body-type',
					'type'    => 'select',
					// Must provide key => value pairs for select options
					'options' => array(
						'default' => 'Theme default font',
						'google'  => 'Google fonts',
						'custom'  => 'Custom font',
					),
					'default' => 'default',
				),
				array(
					'id'          => 'font-body',
					'type'        => 'typography',
					'title'       => esc_html__( 'Google Font', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'google'      => true,
					'font-backup' => true,
					'output'      => array( 'h2.site-description' ),
					'units'       => 'px',
					'required'    => array( 'font-body-type', '=', 'google' ),
				),
				array(
					'id'          => 'custom-font-url-body',
					'type'        => 'text',
					'title'       => esc_html__( 'Font URL', 'pinkmart' ),
					'placeholder' => 'i.e. http://fonts.googleapis.com/css?family=Dosis',
					'required'    => array( 'font-body-type', '=', 'custom' ),
				),
				array(
					'id'          => 'custom-font-name-body',
					'type'        => 'text',
					'title'       => esc_html__( 'Font Name', 'pinkmart' ),
					'placeholder' => 'Dosis, sans-serif',
					'required'    => array( 'font-body-type', '=', 'custom' ),
				),
				array(
					'id'     => 'font-body_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'font-heading_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Headings Font', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'font-headings-type',
					'type'    => 'select',
					// Must provide key => value pairs for select options
					'options' => array(
						'default' => 'Theme default font',
						'google'  => 'Google fonts',
						'custom'  => 'Custom font',
					),
					'default' => 'default',
				),
				array(
					'id'          => 'font-headings',
					'type'        => 'typography',
					'title'       => esc_html__( 'Google Font', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'google'      => true,
					'font-backup' => true,
					'output'      => array( 'h2.site-description' ),
					'units'       => 'px',
					'required'    => array( 'font-headings-type', '=', 'google' ),
				),
				array(
					'id'          => 'custom-font-url-headings',
					'type'        => 'text',
					'title'       => esc_html__( 'Font URL', 'pinkmart' ),
					'placeholder' => 'i.e. http://fonts.googleapis.com/css?family=Dosis',
					'required'    => array( 'font-headings-type', '=', 'custom' ),
				),
				array(
					'id'          => 'custom-font-name-headings',
					'type'        => 'text',
					'title'       => esc_html__( 'Font Name', 'pinkmart' ),
					'placeholder' => 'Dosis, sans-serif',
					'required'    => array( 'font-headings-type', '=', 'custom' ),
				),
				array(
					'id'     => 'font-heading_section_end',
					'type'   => 'section',
					'indent' => false,
				),

			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Sidebar', 'pinkmart' ),
			'id'     => 'sidebar',
			'icon'   => 'icon-exit-right',
			'fields' => array(
				array(
					'id'          => 'custom_sidebars',
					'type'        => 'multi_text',
					'title'       => esc_html__( 'Custom Sidebar', 'pinkmart' ),
					'subtitle'    => esc_html__( ' Select a sidebar for your pages. You can customise each sidebar widget from widget panel.', 'pinkmart' ),
					'placeholder' => esc_html__( 'Enter a sidebar name', 'pinkmart' ),
				),
				array(
					'id'       => 'sidebar-position',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Page Sidebar Position', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the default sidebar position for those pages that have a sidebar.', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						1 => array(
							'alt' => 'left-side',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/left-sidebar.png',
						),
						2 => array(
							'alt' => 'right-side',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/right-sidebar.png',
						),
					),
					'default'  => 2,
				),
				array(
					'id'       => 'blog-sidebar-position',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Blog and Blog Detail Sidebar', 'pinkmart' ),
					'subtitle' => esc_html__( 'Here you can disable or enable the sidebar for your blog and blog detail.', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						'no-sidebar'   => array(
							'alt' => 'no-sidebar',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/no-sidebar.png',
						),
						'main-sidebar' => array(
							'alt' => 'main-sidebar',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/with-sidebar.png',
						),
						'left-sidebar' => array(
							'alt' => 'left-sidebar',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/left-sidebar.png',
						),
					),
					'default'  => 'main-sidebar',
				),
				array(
					'id'       => 'search-widget-category',
					'type'     => 'switch',
					'title'    => esc_html__( 'Index Category In Search Widget', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable this option if you want to search categories by using search widget.', 'pinkmart' ),
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'default'  => false,
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Shop Page', 'pinkmart' ),
			'id'     => 'woocommerce',
			'icon'   => 'icon-store',
			'fields' => array(
				array(
					'id'       => 'shop-column',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Shop page Columns Number', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the number of products showing in every row in shop page.', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						5 => array(
							'alt' => 'five',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/five.png',
						),
						4 => array(
							'alt' => 'four',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/four.png',
						),
						3 => array(
							'alt' => 'three',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/three.png',
						),
						2 => array(
							'alt' => 'two',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/two.png',
						),
					),

					'default'  => 4,
				),
				array (
					'id'       => 'shop-column-tablet',
					'type'     => 'select',
					'title'    => esc_html__('Shop columns in tablet', 'pinkmart'),
					'subtitle' => esc_html__('show products in a row in tablet.','pinkmart'),
					'options'  => array(
						'2' => '2',
						'3' => '3',
						'4' => '4',
					),
					'default'  => '3'
				),
				array(
					'id'       => 'shop-column-responsive',
					'type'     => 'select',
					'title'    => esc_html__( 'Shop columns in mobile', 'pinkmart' ),
					'subtitle' => esc_html__( 'show products in a row in responsive mode.', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'options'  => array(
						'1' => '1',
						'2' => '2',
					),
					'default'  => '1',
				),
				array(
					'id'     => 'shop_item_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Products Per Page', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'shop-item-per-page',
					'type'     => 'select',
					'title'    => esc_html__( 'Items Per Page', 'pinkmart' ),
					'subtitle' => esc_html__( 'The number of products that will be shown in a single page of your shop.', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'options'  => array(
						'1'  => '1',
						'2'  => '2',
						'3'  => '3',
						'4'  => '4',
						'5'  => '5',
						'6'  => '6',
						'7'  => '7',
						'8'  => '8',
						'9'  => '9',
						'10' => '10',
						'11' => '11',
						'12' => '12',
						'13' => '13',
						'14' => '14',
						'15' => '15',
						'16' => '16',
						'17' => '17',
						'18' => '18',
						'19' => '19',
						'20' => '20',
						'21' => '21',
						'22' => '22',
						'23' => '23',
						'24' => '24',
						'25' => '25',
						'26' => '26',
						'27' => '27',
						'28' => '28',
						'29' => '29',
						'30' => '30',
					),
					'default'  => '12',
				),
				array(
					'id'     => 'shop_page_pagination',
					'type'   => 'section',
					'title'  => esc_html__( 'Products Pagination', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'products-pagination',
					'type'     => 'select',
					'title'    => esc_html__( 'Products Pagination Type', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose one of these shop pagination methods.', 'pinkmart' ),
					'options'  => array(
						'pagination'      => 'Pagination',
						'load_more'       => 'Load More Button',
						'infinite_scroll' => 'Infinite Scroll',
					),
					'default'  => 'pagination',
				),
				array(
					'id'       => 'ajax_shop_pagination',
					'type'     => 'switch',
					'title'    => esc_html__( 'Shop AJAX Pagination', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable/Disable the shop page AJAX pagination.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable AJAX Pagination', 'pinkmart' ),
					'off'      => esc_html__( 'Disable AJAX Pagination', 'pinkmart' ),
					'required' => array( 'products-pagination', '=', 'pagination' ),
				),
				array(
					'id'     => 'shop_item_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'shop_layout_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Product View Options', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'shop-product-view',
					'type'     => 'select',
					'title'    => esc_html__( 'Products layout', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the layout of shop page products.', 'pinkmart' ),
					'options'  => array(
						'grid'    => esc_html__( 'Tiles', 'pinkmart' ),
						'list'    => esc_html__( 'List', 'pinkmart' ),
						'grid_sv' => esc_html__( 'Tiles with List view option', 'pinkmart' ),
						'list_sv' => esc_html__( 'List with Grid view option', 'pinkmart' ),
					),
					'default'  => 'grid',
				),
				array(
					'id'       => 'shop-layout',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Grid View', 'pinkmart' ),
					'subtitle' => esc_html__( 'Products grid view style in shop page.', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						'fitRows' => array(
							'alt' => 'fitRows',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/fitRows.png',
						),
						'masonry' => array(
							'alt' => 'masonry',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/masonry.png',
						),
					),
					'default'  => 'fitRows',
				),
				array(
					'id'     => 'shop_layout_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'shop_style_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Product Card Style', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'shop-product-style',
					'type'    => 'image_select',
					'options' => array(
						'buttonsonhover'     => array(
							'alt' => 'buttonsonhover',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/classic.png',
						),
						'centered'           => array(
							'alt' => 'centered',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/centered.png',
						),
						'infoonhover'        => array(
							'alt' => 'infoonhover',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/info-on-hover.png',
						),
						'infoonclick'        => array(
							'alt' => 'infoonclick',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/info-on-click.png',
						),
						'instantshop'        => array(
							'alt' => 'instantshop',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/instant-shop.png',
						),
						'buttonsappearunder' => array(
							'alt' => 'buttonsappearunder',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/buttonsappearunder.png',
						),
					),
					'default' => 'buttonsonhover',
					'class'   => 'shop-styles',
				),
				array(
					'id'       => 'product-hover-color',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Product Hover Color', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						'c0392b'       => array(
							'alt' => 'c0392b',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/c0392b.png',
						),
						'e74c3c'       => array(
							'alt' => 'e74c3c',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/e74c3c.png',
						),
						'd35400'       => array(
							'alt' => 'd35400',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/d35400.png',
						),
						'e67e22'       => array(
							'alt' => 'e67e22',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/e67e22.png',
						),
						'f39c12'       => array(
							'alt' => 'f39c12',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/f39c12.png',
						),
						'f1c40f'       => array(
							'alt' => 'f1c40f',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/f1c40f.png',
						),
						'1abc9c'       => array(
							'alt' => '1abc9c',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/1abc9c.png',
						),
						'2ecc71'       => array(
							'alt' => '2ecc71',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/2ecc71.png',
						),
						'3498db'       => array(
							'alt' => '3498db',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/3498db.png',
						),
						'01558f'       => array(
							'alt' => '01558f',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/01558f.png',
						),
						'9b59b6'       => array(
							'alt' => '9b59b6',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/9b59b6.png',
						),
						'ecf0f1'       => array(
							'alt' => 'ecf0f1',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/ecf0f1.png',
						),
						'bdc3c7'       => array(
							'alt' => 'bdc3c7',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/bdc3c7.png',
						),
						'7f8c8d'       => array(
							'alt' => '7f8c8d',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/7f8c8d.png',
						),
						'95a5a6'       => array(
							'alt' => '95a5a6',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/95a5a6.png',
						),
						'34495e'       => array(
							'alt' => '34495e',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/34495e.png',
						),
						'2e2e2e'       => array(
							'alt' => '2e2e2e',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/2e2e2e.png',
						),
						'custom-color' => array(
							'alt' => 'custom',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/vcimages/custom-color.png',
						),
					),
					'default'  => 'c0392b',
					'class'    => 'product_hover_preset',
					'required' => array(
						array( 'shop-product-style', '!=', 'buttonsappearunder' ),
						array( 'shop-product-style', '!=', 'buttonsonhover' ),
						array( 'shop-product-style', '!=', 'centered' ),
						array( 'shop-product-style', '!=', 'instantshop' ),
					),
				),
				array(
					'id'       => 'product-hover-custom-color',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Custom Hover Color', 'pinkmart' ),
					'default'  => array(
						'color' => '#fff',
						'alpha' => '1',
					),
					'mode'     => 'background',
					'required' => array(
						array( 'shop-product-style', '!=', 'buttonsappearunder' ),
						array( 'shop-product-style', '!=', 'buttonsonhover' ),
						array( 'shop-product-style', '!=', 'centered' ),
						array( 'shop-product-style', '!=', 'instantshop' ),
						array( 'product-hover-color', '=', 'custom-color' ),
					),
				),
				array(
					'id'      => 'shop-product-color-scheme',
					'type'    => 'switch',
					'title'   => esc_html__( 'Products Color Scheme', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Light', 'pinkmart' ),
					'off'     => esc_html__( 'Dark', 'pinkmart' ),
				),
				array(
					'id'       => 'shop-product-gutter',
					'type'     => 'switch',
					'title'    => esc_html__( 'Gutter', 'pinkmart' ),
					'subtitle' => esc_html( 'The gutter between products in the main shop page.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'With Gutter', 'pinkmart' ),
					'off'      => esc_html__( 'No Gutter', 'pinkmart' ),
				),
				array(
					'id'       => 'shop-product-border',
					'type'     => 'switch',
					'title'    => esc_html__( 'Border', 'pinkmart' ),
					'subtitle' => esc_html__( 'The border of each product in the main shop page.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'With Border', 'pinkmart' ),
					'off'      => esc_html__( 'No Border', 'pinkmart' ),
				),
				array(
					'id'      => 'shop-product-rating',
					'type'    => 'switch',
					'title'   => esc_html__( 'Product Rating', 'pinkmart' ),
					'default' => false,
					'class'   => 'product_rating',
					'on'      => esc_html__( 'Show Rating', 'pinkmart' ),
					'off'     => esc_html__( 'Hide Rating', 'pinkmart' ),
				),
				array(
					'id'      => 'shop-loop-product-categories',
					'type'    => 'switch',
					'title'   => esc_html__( 'Product Categories', 'pinkmart' ),
					'subtitle' => esc_html__( 'Show/Hide product categories on product cards', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Show Categories', 'pinkmart' ),
					'off'     => esc_html__( 'Hide Categories', 'pinkmart' ),
				),
				array(
					'id'       => 'percentage_sale',
					'type'     => 'switch',
					'title'    => esc_html__( 'On-Sale Products Percentage Badge', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable/ Disable Percentage sale badge on products', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'shop-entrance-animation',
					'type'    => 'select',
					'title'   => esc_html__( 'Entrance animation', 'pinkmart' ),
					// Must provide key => value pairs for select options
					'options' => array(
						'fadein'           => esc_html__( 'FadeIn', 'pinkmart' ),
						'fadeinfrombottom' => esc_html__( 'FadeIn From Bottom', 'pinkmart' ),
						'fadeinfromtop'    => esc_html__( 'FadeIn From Top', 'pinkmart' ),
						'fadeinfromright'  => esc_html__( 'FadeIn From Right', 'pinkmart' ),
						'fadeinfromleft'   => esc_html__( 'FadeIn From Left', 'pinkmart' ),
						'zoomin'           => esc_html__( 'Zoom-in', 'pinkmart' ),
						'default'          => esc_html__( 'No animation', 'pinkmart' ),
					),
					'default' => 'fadein',
				),
				array(
					'id'     => 'shop_style_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'variations_on_card_section_start',
					'title'	 =>	esc_html( 'Product Variations', 'pinkmart' ),
					'type'   => 'section',
					'indent' => true,
				),
				array(
					'id'      => 'show_card_variations_desktop',
					'type'    => 'switch',
					'title'   => esc_html__( 'Show Variations On Product Cards', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'show_card_variations_tablet',
					'type'    => 'switch',
					'title'   => esc_html__( 'Show Variations On Product Cards - Tablet', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'show_card_variations_mobile',
					'type'    => 'switch',
					'title'   => esc_html__( 'Show Variations On Product Cards - Mobile', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'variations_on_card_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'      => 'shop-enable-fullwidth',
					'type'    => 'switch',
					'title'   => esc_html__( 'Full Width Shop Page', 'pinkmart' ),
					'default' => false,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'shop-sidebar-position',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Fliter Sidebar Position', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the default filter sidebar position shop page.', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						0 => array(
							'alt' => 'none',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/no-sidebar.png',
						),
						1 => array(
							'alt' => 'left-side',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/left-sidebar.png',
						),
						2 => array(
							'alt' => 'right-side',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/right-sidebar.png',
						),
					),
					'default'  => 0,
					'class'    => 'page-sidebar',
				),
				array(
					'id'     => 'recently_viewed_product_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Recently Viewed Products', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'recently_viewed_product',
					'type'     => 'switch',
					'title'    => esc_html__( 'Recently viewed products', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable recently viewd products on product page', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'recently_viewed_product_display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Recently viewed products Display', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Full width', 'pinkmart' ),
					'off'      => esc_html__( 'Container', 'pinkmart' ),
					'required' => array( 'recently_viewed_product', '=', true ),
				),
				array(
					'id'       => 'recently_viewed_product_responsive',
					'type'     => 'switch',
					'title'    => esc_html__( 'Recently viewed products Display in Mobile', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'required' => array( 'recently_viewed_product', '=', true ),
				),
				array(
					'id'     => 'recently_viewed_product_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'shop_catalog_section_start',
					'title'  => esc_html__( 'Catalog Mode', 'pinkmart' ),
					'type'   => 'section',
					'indent' => true,
				),
				array(
					'id'      => 'catalog_mode',
					'type'    => 'switch',
					'title'   => esc_html__( 'Catalog Mode Display', 'pinkmart' ),
					'default' => false,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'catalog_mode_price',
					'type'     => 'switch',
					'title'    => esc_html__( 'Price in Catalog Mode', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Show Price', 'pinkmart' ),
					'off'      => esc_html__( 'Hide Price', 'pinkmart' ),
					'required' => array( 'catalog_mode', '=', true ),
				),
				array(
					'id'     => 'shop_catalog_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'      => 'shop-enable-quickview',
					'type'    => 'switch',
					'title'   => esc_html__( 'Quick View', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'shop_add_to_cart_start',
					'type'   => 'section',
					'title'	 => esc_html__( 'Add to cart', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'shop-enable-fixed-addtocart',
					'type'     => 'switch',
					'title'    => esc_html__( 'Sticky add to Cart', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable Sticky add to cart button. It will be displayed after scrolling to bottom of page to have better accessibility', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
					'required' => array('catalog_mode', '=' , false)
				),
				array(
					'id'       => 'woocommerce-notices',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show/Hide add to cart notices in ajax requests', 'pinkmart' ),
					'subtitle' => esc_html__( 'If you Hide this and ajax-add-to-cart was enabled in woocomerce, add-to-cart notices would be hide', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'shop_add_to_cart_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'product-hover-image',
					'type'     => 'switch',
					'title'    => esc_html__( 'Products Hover Image', 'pinkmart' ),
					'subtitle' => esc_html__( 'If you enable this, The first image of gallery will be shown as hover of each product', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'shop_category_page_section_start',
					'type'   => 'section',
					'title'	 => esc_html__( 'Category Page', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'category-description-position',
					'type'     => 'switch',
					'title'    => esc_html__( 'Category Description Position', 'pinkmart' ),
					'subtitle' => esc_html__( 'You can manage the position of categories description with this option', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'On The Header', 'pinkmart' ),
					'off'      => esc_html__( 'After The Header', 'pinkmart' ),
				),
				array(
					'id'       => 'responsive-category-header',
					'type'     => 'switch',
					'title'    => esc_html__( 'Responsive Category Header', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable/Disable category header title and description in responsive devices', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'shop_category_page_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'shop_widgets_start',
					'type'   => 'section',
					'title'	 => esc_html__( 'Widgets Settings', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'rating_in_woocommerce_product_widget',
					'type'     => 'switch',
					'title'    => esc_html__( 'Rating in woocommerce products widget', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable/Disable Rating in woocommerce products widget', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array (  
					'id'       => 'show_more_button_in_woocommerce_categories_widget',
					'type'     => 'switch',
					'title'    => esc_html__('Show More button in woocommerce categories widget', 'pinkmart'),
					'subtitle'     => esc_html__('Enable/Disable Show More button in woocommerce categories widget', 'pinkmart'),
					'default'  => true,
					'on'       => esc_html__('Enable', 'pinkmart'),
					'off'      => esc_html__('Disable', 'pinkmart'),
				),
				array (
					'id'       => 'categories_widget_scroll_animation',
					'type'     => 'switch',
					'title'    => esc_html__('Categories widget scroll animation', 'pinkmart'),
					'subtitle'    => esc_html__('Enable/Disable categories widget scroll animation in shop page', 'pinkmart'),
					'default'  => false,
					'on'       => esc_html__('Enable', 'pinkmart'),
					'off'      => esc_html__('Disable', 'pinkmart'),
				),
				array(
					'id'     => 'shop_widgets_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id' 		=> 'shop_template_section_start',
					'type' 		=> 'section',
					'title' 	=> esc_html__( 'Shop Extra Templates', 'pinkmart' ),
					'indent' 	=> true,
				),
				array (
					'id'       => 'shop_show_top_template',
					'type'     => 'switch',
					'title'    => esc_html__('Shop Page Top Template', 'pinkmart'),
					'subtitle' => esc_html__( 'You can add Elemntor templates at the top of the shop page', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'shop_top_template_id',
					'type'    => 'select',
					'title'   => esc_html__( 'Select Template', 'pinkmart' ),
					'options' => kite_get_elementor_templates_list( 'section' ),
					'required'=> array( 'shop_show_top_template', '=' , true ),
				),
				array (
					'id'       => 'shop_show_bottom_template',
					'type'     => 'switch',
					'title'    => esc_html__('Shop Page Bottom Template', 'pinkmart'),
					'subtitle' => esc_html__( 'You can add Elemntor templates at the bottom of the shop page', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'shop_bottom_template_id',
					'type'    => 'select',
					'title'   => esc_html__( 'Select Template', 'pinkmart' ),
					'options' => kite_get_elementor_templates_list( 'section' ),
					'required'=> array( 'shop_show_bottom_template', '=' , true ),
				),
				array(
					'id' => 'shop_template_section_end',
					'type' => 'section',
					'indent' => false,
				),
				array(
					'id' => 'shop_extra_options_section_start',
					'type' => 'section',
					'title' =>esc_html__( 'Shop Extra Options', 'pinkmart' ),
					'indent' => true,
				),
				array (
					'id'       => 'responsive-sticky-bottom-navbar',
					'type'     => 'switch',
					'title'    => esc_html__('Sticky Bottom Navigation Bar', 'pinkmart'),
					'subtitle'     => esc_html__('Show or hide bottom sticky navigation bar', 'pinkmart'),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array (
					'id'       => 'direct_link_external_products',
					'type'     => 'switch',
					'title'    => esc_html__('Bypass product detail in External/Affiliate products', 'pinkmart'),
					'subtitle' => esc_html__('Link external products directly to product url instead of product detail page', 'pinkmart'),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'trim_mini_cart_product_title',
					'type'     => 'text',
					'title'    => esc_html__('Trim Product Title In Mini Cart','pinkmart'),
					'subtitle'     => esc_html__( 'If you want to trim product title in mini cart, specify length of title.', 'pinkmart'),
				),
				array(
					'id' => 'shop_extra_options_section_end',
					'type' => 'section',
					'indent' => false,
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Shop Filters Toolbar', 'pinkmart' ),
			'id'     => 'shop_page_filters',
			'icon'   => 'icon-filter',
			'subsection' => true,
			'fields' => array(
				array(
					'id'       => 'shop-filter',
					'type'     => 'switch',
					'title'    => esc_html__( 'Shop Filter display', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable Shop Filter Toolbar on top of the products in shop page.', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'shop-filter-style',
					'type'     => 'switch',
					'title'    => esc_html__( 'Shop Filter Toggling Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose Shop filter display on shop page.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Toggle Open', 'pinkmart' ),
					'off'      => esc_html__( 'Toggle Slidebar', 'pinkmart' ),
					'required' => array(
						array( 'shop-filter', '=', true ),
					),
				),
				array(
					'id'       => 'shop-filter-categories',
					'type'     => 'switch',
					'title'    => esc_html__( 'Categories Dropdown Display', 'pinkmart' ),
					'subtitle' => esc_html__( 'Caategories dropdown showing in the shop filter toolbar.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Show Categories', 'pinkmart' ),
					'off'      => esc_html__( 'Hide Categories', 'pinkmart' ),

				),
				array(
					'id'       => 'shop_filter_hidden_empty_category',
					'type'     => 'switch',
					'title'    => esc_html__( 'Empty Category Showing', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Show empty categories', 'pinkmart' ),
					'off'      => esc_html__( 'Hide empty categories', 'pinkmart' ),
					'required' => array( 'shop-filter-categories', '=', true ),
				),
				array(
					'id'      => 'shop-filter-sorting',
					'type'    => 'switch',
					'title'   => esc_html__( 'Sorting Filter', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Show Sorting filter', 'pinkmart' ),
					'off'     => esc_html__( 'Hide Sorting filter', 'pinkmart' ),
				),
				array(
					'id'       => 'product-per-page',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product Per Page Filter', 'pinkmart' ),
					'subtitle' => esc_html__( 'Product Per Page Filter is shown when the main Shop pagination method is on pagination.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'shop-filter-active-filters',
					'type'    => 'switch',
					'title'   => esc_html__( 'Active Filters', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Show Active filters', 'pinkmart' ),
					'off'     => esc_html__( 'Hide Active filters', 'pinkmart' ),
				),
				array(
					'id'      => 'shop-filter-search',
					'type'    => 'switch',
					'title'   => esc_html__( 'Search Filter', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Show Search', 'pinkmart' ),
					'off'     => esc_html__( 'Hide Search', 'pinkmart' ),
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Free Shipping Threshold', 'pinkmart' ),
			'id'     => 'shop_page_free_shipping',
			'icon'   => 'icon-truck',
			'subsection' => true,
			'fields' => array(
				array (
					'id'       => 'show_free_shipping_threshold',
					'type'     => 'switch',
					'title'    => esc_html__('Show free shipping threshold notice', 'pinkmart'),
					'default'  => false,
					'on'       => esc_html__('Enable', 'pinkmart'),
					'off'      => esc_html__('Disable', 'pinkmart'),
				),
				array(
					'id'       => 'minimum_free_shipping_amount',
					'type'     => 'text',
					'title'    => esc_html__('Required amount to show free shipping','pinkmart'),
					'subtitle'     => esc_html__('You should enable free shipping and minimum amount for free shipping in Woocommerce -> settings -> shipping -> shipping zones -> manage shipping method', 'pinkmart'),
					'required' => array('show_free_shipping_threshold', '=' , true)
				),
				array (
					'id'       => 'threshold_notice_price_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__('Price Color', 'pinkmart'),
					'subtitle'     => esc_html__('This color only applies in product detail page.', 'pinkmart'),
					'default'  => array(
						'color' => '#ee1c25',
						'alpha' => '1'
					),
					'required' => array('show_free_shipping_threshold', '=' , true),
					'mode'     => 'background',
					
				),
				array (
					'id'       => 'threshold_notice_background_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__('Notice Background Color', 'pinkmart'),
					'default'  => array(
						'color' => '#a7a7a7',
						'alpha' => '1'
					),
					'required' => array('show_free_shipping_threshold', '=' , true),
					'mode'     => 'background',
					
				),
				array (
					'id'       => 'threshold_notice_progress_background_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__('Notice Progress Background Color', 'pinkmart'),
					'default'  => array(
						'color' => '#21c809',
						'alpha' => '1'
					),
					'required' => array('show_free_shipping_threshold', '=' , true),
					'mode'     => 'background',
					
				),
				array (
					'id'       => 'threshold_notice_text_color',
					'type'     => 'color_rgba',
					'title'    => esc_html__('Notice Text Color', 'pinkmart'),
					'default'  => array(
						'color' => '#ffffff',
						'alpha' => '1'
					),
					'required' => array('show_free_shipping_threshold', '=' , true),
					'mode'     => 'background',
					
				),
			),
		)
	);
	
	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Product Details', 'pinkmart' ),
			'id'     => 'Product_Detail',
			'icon'   => 'icon-product-hunt',
			'fields' => array(
				array(
					'id'       => 'product-detail-style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Page Layout', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select product details page layout style', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						'pd_classic'         => array(
							'alt' => 'pd_classic',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_classic.png',
						),
						'pd_top'             => array(
							'alt' => 'pd_top',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_top.png',
						),
						'pd_kt_classic'      => array(
							'alt' => 'pd_kt_classic',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_kt_classic.png',
						),
						'pd_background'      => array(
							'alt' => 'pd_background',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_background.png',
						),
						'pd_classic_sidebar' => array(
							'alt' => 'pd_classic_sidebar',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_classic_sidebar.png',
						),
						'pd_fixed_summary'   => array(
							'alt' => 'pd_fixed_summary',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_fixed.png',
						),
					),
					'default'  => 'pd_classic',
					'class'    => 'product-detail',
				),
				array(
					'id'       => 'product-detail-sidebar-position',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Product detail sidebar position', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose product detail sidebar position', 'pinkmart' ),
					// Must provide key => value(array:title|img) pairs for radio options
					'options'  => array(
						'left'  => array(
							'alt' => 'left',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_left_sidebar.png',
						),
						'right' => array(
							'alt' => 'right',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/shop/pd_right_sidebar.png',
						),
					),
					'default'  => 'right',
					'class'    => 'product-detail-sidebar',
					'required' => array( 'product-detail-style', '=', 'pd_classic_sidebar' ),
				),
				array(
					'id'       => 'product-detail-sidebar-responsive',
					'type'     => 'switch',
					'title'    => esc_html__( 'Sidebar In Responsive', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Show sidebar in responsive', 'pinkmart' ),
					'off'      => esc_html__( 'Hide sidebar in responsive', 'pinkmart' ),
					'required' => array( 'product-detail-style', '=', 'pd_classic_sidebar' ),
				),
				array(
					'id'       => 'product_detail_txt_color',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product detail text-color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a color for the text of "Product short description" on the product detail page.', 'pinkmart' ),
					'on'       => esc_html__( 'Dark', 'pinkmart' ),
					'off'      => esc_html__( 'Light', 'pinkmart' ),
					'required' => array( 'product-detail-style', '=', 'pd_background' ),

				),
				array(
					'id'       => 'product-detail-bg',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Product detail background-color', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose a color for background of product detail page and thumbnails', 'pinkmart' ),
					'default'  => array(
						'color' => '#fff',
						'alpha' => '1',
					),
					'mode'     => 'background',
					'required' => array(
						array( 'product-detail-style', '!=', 'pd_classic' ),
						array( 'product-detail-style', '!=', 'pd_kt_classic' ),
						array( 'product-detail-style', '!=', 'pd_classic_sidebar' ),
						array( 'product-detail-style', '!=', 'pd_fixed_summary' ),
					),
				),
				array(
					'id'       => 'variations_select_style',
					'type'     => 'switch',
					'title'    => esc_html__( 'Variations Select Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select Variable Selection Style in Product detail', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Swatch Style', 'pinkmart' ),
					'off'      => esc_html__( 'Dropdown Style', 'pinkmart' ),
				),
				array(
					'id'       => 'variable_title',
					'type'     => 'switch',
					'title'    => esc_html__( 'Variable Title in Product details', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable/Disable this option to show Variable Title in Product details', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'product_description_align',
					'type'    => 'switch',
					'title'   => esc_html__( 'Product Description Alignment in Product details', 'pinkmart' ),
					'on'      => esc_html__( 'left', 'pinkmart' ),
					'off'     => esc_html__( 'center', 'pinkmart' ),
					'default' => true,
				),
				array(
					'id'       => 'product_navigation',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product navigation in Product details', 'pinkmart' ),
					'subtitle' => esc_html__( 'this option is to show next/previous products in Product details.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'product_breadcrumb',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product breadcrumb in Product details', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable/Disable this option to show breadcrunb in Product details', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'product_gallery_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'product gallery', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'product_gallery_popup',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product Gallery Popup', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable product gallery popup on product detail pages', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'product_gallery_style',
					'type'    => 'switch',
					'title'   => esc_html__( 'Product Gallery Button Scheme', 'pinkmart' ),
					'default' => false,
					'on'      => esc_html__( 'Dark Button', 'pinkmart' ),
					'off'     => esc_html__( 'Light Button', 'pinkmart' ),
				),
				array(
					'id'      => 'product_gallery_autoplay',
					'type'    => 'switch',
					'title'   => esc_html__( 'Product Gallery Carousel AutoPlay', 'pinkmart' ),
					'default' => true,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'product_gallery_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'single_product_meta',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product Meta', 'pinkmart' ),
					'subtitle' => esc_html__( 'Select position of product meta', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'In Summary Section', 'pinkmart' ),
					'off'      => esc_html__( 'After Summary Section', 'pinkmart' ),
				),
				array(
					'id'       => 'product_360_view',
					'type'     => 'switch',
					'title'    => esc_html__( 'Product 360 View', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable product 360 view on product detail pages', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'instagram_in_product_detail',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show instagram in product deatil', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable instagram section in product detail', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),

			),
		)
	);
	
	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'upsells/related products', 'pinkmart' ),
			'id'     => 'product_detail_upsell_related',
			'icon'   => 'icon-cart-full',
			'subsection' => true,
			'fields' => array(
				array(
					'id'       => 'upsells_position_unchanged',
					'type'     => 'switch',
					'title'    => esc_html__( 'Upsells Position', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'After Product Description Tabs', 'pinkmart' ),
					'off'      => esc_html__( 'Before Product Description Tabs', 'pinkmart' ),
				),
				array(
					'id'       => 'upsells_grid_mode',
					'type'     => 'switch',
					'title'    => esc_html__( 'Upsells Display Mode', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Gird Mode', 'pinkmart' ),
					'off'      => esc_html__( 'Carousel Mode', 'pinkmart' ),
				),
				array(
					'id'       => 'upsells_fullwidth',
					'type'     => 'switch',
					'title'    => esc_html__( 'Upsells Width', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Full width', 'pinkmart' ),
					'off'      => esc_html__( 'Container', 'pinkmart' ),
				),
				array(
					'id'       => 'related_product',
					'type'     => 'switch',
					'title'    => esc_html__( 'Related Products', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable related products on product page', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'related_product_display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Related Products Display Mode', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Gird Mode', 'pinkmart' ),
					'off'      => esc_html__( 'Carousel Mode', 'pinkmart' ),
					'required' => array( 'related_product', '=', true ),
				),
				array(
					'id'       => 'related_product_width',
					'type'     => 'switch',
					'title'    => esc_html__( 'Related Products Width', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Full width', 'pinkmart' ),
					'off'      => esc_html__( 'Container', 'pinkmart' ),
					'required' => array( 'related_product', '=', true ),
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Cookie Law', 'pinkmart' ),
			'id'     => 'cookie',
			'icon'   => 'icon-candy',
			'fields' => array(
				array(
					'id'       => 'cookies_info',
					'type'     => 'switch',
					'title'    => esc_html__( 'Show cookies info', 'pinkmart' ),
					'subtitle' => esc_html__( 'Under EU privacy regulations, websites must make it clear to visitors what information about them is being stored. This specifically includes cookies. Turn on this option and user will see info box at the bottom of the page that your web-site is using cookies.', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'          => 'cookies_text_message',
					'type'        => 'textarea',
					'title'       => esc_html__( 'cookies Popup text', 'pinkmart' ),
					'placeholder' => esc_html__( 'We use cookies to improve your experience on our website. By browsing this website, you agree to our use of cookies.', 'pinkmart' ),
					'required'    => array( 'cookies_info', '=', true ),
				),
				array(
					'id'       => 'cookies_policy_page',
					'type'     => 'select',
					'data'     => 'pages',
					'title'    => esc_html__( 'Cookies detail page', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose page that will contain detailed information about your Privacy Policy', 'pinkmart' ),
					'required' => array( 'cookies_info', '=', true ),
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Footer And Widget Area', 'pinkmart' ),
			'id'     => 'footer',
			'icon'   => 'icon-enter-down',
			'fields' => array(
				array(
					'id'     => 'footer_text_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Footer Title And Subtitle', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'          => 'footer_title',
					'type'        => 'text',
					'title'       => esc_html__( 'Footer Title', 'pinkmart' ),
					'placeholder' => esc_html__( 'Enter footer title text here. ', 'pinkmart' ),
				),
				array(
					'id'          => 'footer_subtitle',
					'type'        => 'text',
					'title'       => esc_html__( 'Footer Subitle', 'pinkmart' ),
					'placeholder' => esc_html__( 'Enter footer subtitle text here. ', 'pinkmart' ),
				),
				array(
					'id'     => 'footer_text_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'footer_widget_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Widget Area', 'pinkmart' ),
					'title'  => esc_html__( 'Widget Area', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'footer-widget-area',
					'type'    => 'switch',
					'title'   => esc_html__( 'Footer Widget Area', 'pinkmart' ),
					'default' => false,
					'on'      => esc_html__( 'Enable', 'pinkmart' ),
					'off'     => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'footer_widgets',
					'type'    => 'image_select',
					// Must provide key => value(array:title|img) pairs for radio options
					'options' => array(
						1  => array(
							'alt' => 'one',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget1.png',
						),
						2  => array(
							'alt' => 'Six-Six',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget2.png',
						),
						3  => array(
							'alt'   => 'eight-four',
							'class' => 'eight-four',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget3.png',
						),
						4  => array(
							'alt'   => 'four-eight',
							'class' => 'four-eight',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget4.png',
						),
						5  => array(
							'alt' => 'four-four-four',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget5.png',
						),
						6  => array(
							'alt' => 'three-three-three-three',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget6.png',
						),
						7  => array(
							'alt'   => 'three-three-six',
							'class' => 'three-three-six',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget7.png',
						),
						8  => array(
							'alt'   => 'six-three-three',
							'class' => 'six-three-three',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget8.png',
						),
						9  => array(
							'alt'   => 'three-three-two-two-two',
							'class' => 'three-three-two-two-two',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget9.png',
						),
						10 => array(
							'alt'   => 'two-two-two-three-three',
							'class' => 'two-two-two-three-three',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget10.png',
						),
						11 => array(
							'alt' => 'one-three-three-three-three',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget11.png',
						),
						12 => array(
							'alt' => 'two-two-two-two-two-two',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget12.png',
						),
						13 => array(
							'alt'   => 'one-three-three-two-two-two',
							'class' => 'one-three-three-two-two-two',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget13.png',
						),
						14 => array(
							'alt' => 'six-six-three-three-three-three',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget14.png',
						),
						15 => array(
							'alt'   => 'six-six-three-three-two-two-two',
							'class' => 'six-six-three-three-two-two-two',
							'img'   => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer_widget15.png',
						),
					),
					'default' => 0,
					'class'   => 'footer-widgets',
				),
				array(
					'id'     => 'footer_widget_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'product_widget_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Products & Categories In Widget Area', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'product_widget_area',
					'type'     => 'switch',
					'title'    => esc_html__( 'Footer widget area in products page', 'pinkmart' ),
					'subtitle' => esc_html__( 'Show widgetized footer in product page', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'category_widget_area',
					'type'     => 'switch',
					'title'    => esc_html__( 'Footer widget area in categories page', 'pinkmart' ),
					'subtitle' => esc_html__( 'Show widgetized footer in product page', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'     => 'product_widget_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'footer_widget_banner_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Widget Area Background', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'footer-widget-banner',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Upload an image to be shown as Widget area background', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Background Image', 'pinkmart' ),
				),
				array(
					'id'       => 'footer-widget-gradient',
					'type'     => 'switch',
					'title'    => esc_html__( 'Gradient Overlay', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enable or disable Gradient Overlay on the footer background image', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'      => 'footer-widget-color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Footer Widget Background Color', 'pinkmart' ),
					'default' => array(
						'color' => '#f5f5f5',
						'alpha' => '1',
					),
					'mode'    => 'background',
				),
				array(
					'id'      => 'footer-widget-style',
					'type'    => 'switch',
					'title'   => esc_html__( 'Widget Area Color Scheme', 'pinkmart' ),
					'default' => false,
					'on'      => esc_html__( 'Light', 'pinkmart' ),
					'off'     => esc_html__( 'Dark', 'pinkmart' ),
				),
				array(
					'id'      => 'footer-widget_width',
					'type'    => 'switch',
					'title'   => esc_html__( 'Widget Area Width', 'pinkmart' ),
					'default' => false,
					'on'      => esc_html__( 'Container', 'pinkmart' ),
					'off'     => esc_html__( 'Full width', 'pinkmart' ),
				),
				array(
					'id'     => 'footer_widget_banner_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'footer_style_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Footer Layout', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'footerType',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Footyer Layout Style', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the Footer style', 'pinkmart' ),
					'options'  => array(
						'logo-in-middle' => array(
							'alt' => 'one',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer-type1.png',
						),
						'triangular'     => array(
							'alt' => 'tweleve',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer-type2.png',
						),
						'leftaligned'    => array(
							'alt' => 'eight-four',
							'img' => KITEST_THEME_LIB_URI . '/admin/img/footer_widget/footer-type3.png',
						),
					),
					'default'  => 'logo-in-middle',
					'class'    => 'footerType',
				),
				array(
					'id'      => 'footer-copyright',
					'type'    => 'text',
					'title'   => esc_html__( 'Copyright Text', 'pinkmart' ),
					'default' => '&copy; 2019 KiteStudio | Built With The '. KITEST_THEME_NAME .' Theme',
				),
				array(
					'id'       => 'footerlogo',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Upload Footer Logo', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Footer Logo', 'pinkmart' ),
				),
				array(
					'id'       => 'footerStyle',
					'type'     => 'switch',
					'title'    => esc_html__( 'Footer Color Scheme', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose footer color scheme', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Dark', 'pinkmart' ),
					'off'      => esc_html__( 'Light', 'pinkmart' ),
				),
				array(
					'id'       => 'footerFullwidth',
					'type'     => 'switch',
					'title'    => esc_html__( 'Footer Width', 'pinkmart' ),
					'subtitle' => esc_html__( 'Choose the footer to be boxed or full-width.', 'pinkmart' ),
					'default'  => false,
					'on'       => esc_html__( 'Fullwidth', 'pinkmart' ),
					'off'      => esc_html__( 'Container', 'pinkmart' ),
				),
				array(
					'id'       => 'social_network_display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Social Network Icons', 'pinkmart' ),
					'default'  => true,
					'subtitle' => esc_html__( 'Enable/disable Social Network icons on footer.', 'pinkmart' ),
				),
				array(
					'id'     => 'footer_style_section_end',
					'type'   => 'section',
					'indent' => false,
				),
			),
		)
	);
	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Socials', 'pinkmart' ),
			'id'     => 'socials',
			'icon'   => 'icon-share2',
			'fields' => array(
				array(
					'id'     => 'social_login_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Social Login', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'    => 'google_app_id',
					'type'  => 'text',
					'title' => esc_html__( 'Google App Id', 'pinkmart' ),
				),
				array(
					'id'    => 'google_app_secret',
					'type'  => 'text',
					'title' => esc_html__( 'Google App Secret', 'pinkmart' ),
				),
				array(
					'id'    => 'facebook_app_id',
					'type'  => 'text',
					'title' => esc_html__( 'Facebook App Id', 'pinkmart' ),
				),
				array(
					'id'    => 'facebook_app_secret',
					'type'  => 'text',
					'title' => esc_html__( 'Facebook App Secret', 'pinkmart' ),
				),
				array(
					'id'     => 'social_login_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'rss_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Rss display', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'      => 'rss_url',
					'type'    => 'switch',
					'title'   => esc_html__( 'Rss', 'pinkmart' ),
					'default' => false,
				),
				array(
					'id'       => 'social_rss_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Rss Feed', 'pinkmart' ),
					'required' => array( 'rss_url', '=', true ),
				),
				array(
					'id'     => 'rss_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'social_share_display_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Social Share Buttons Display', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'social_share_display',
					'type'     => 'switch',
					'title'    => esc_html__( 'Social Share Buttons', 'pinkmart' ),
					'default'  => true,
					'subtitle' => esc_html__( 'Enable/disable Social share buttons on products/post/portfolio. This setting could be overrided in each products/post/portfolio item', 'pinkmart' ),
				),
				array(
					'id'       => 'social_share_facebook',
					'type'     => 'switch',
					'title'    => esc_html__( 'Facebook', 'pinkmart' ),
					'default'  => true,
					'required' => array( 'social_share_display', '=', true ),
				),
				array(
					'id'       => 'social_share_mail',
					'type'     => 'switch',
					'title'    => esc_html__( 'Email', 'pinkmart' ),
					'default'  => true,
					'required' => array( 'social_share_display', '=', true ),
				),
				array(
					'id'       => 'social_share_twitter',
					'type'     => 'switch',
					'title'    => esc_html__( 'Twitter', 'pinkmart' ),
					'default'  => true,
					'required' => array( 'social_share_display', '=', true ),
				),
				array(
					'id'       => 'social_share_pinterest',
					'type'     => 'switch',
					'title'    => esc_html__( 'Pinterest', 'pinkmart' ),
					'default'  => true,
					'required' => array( 'social_share_display', '=', true ),
				),
				array(
					'id'     => 'social_share_display_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'     => 'social_network_display_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Social Network URLs', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'social_facebook_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Facebook', 'pinkmart' ),
				),
				array(
					'id'       => 'social_twitter_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Twitter', 'pinkmart' ),
				),
				array(
					'id'       => 'social_vimeo_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Vimeo', 'pinkmart' ),
				),
				array(
					'id'       => 'social_youtube_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Youtube', 'pinkmart' ),
				),
				array(
					'id'       => 'social_dribbble_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Dribbble', 'pinkmart' ),
				),
				array(
					'id'       => 'social_tumblr_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Tumbler', 'pinkmart' ),
				),
				array(
					'id'       => 'social_linkedin_url',
					'type'     => 'text',
					'title'    => esc_html__( 'LinkedIn', 'pinkmart' ),
				),
				array(
					'id'       => 'social_flickr_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Flicker', 'pinkmart' ),
				),
				array(
					'id'       => 'social_github_url',
					'type'     => 'text',
					'title'    => esc_html__( 'GitHub', 'pinkmart' ),
				),
				array(
					'id'       => 'social_lastfm_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Last.fm', 'pinkmart' ),
				),
				array(
					'id'       => 'social_paypal_url',
					'type'     => 'text',
					'title'    => esc_html__( 'PayPal', 'pinkmart' ),
				),
				array(
					'id'       => 'social_skype_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Skype', 'pinkmart' ),
				),
				array(
					'id'       => 'social_wordpress_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Wordpress', 'pinkmart' ),
				),
				array(
					'id'       => 'social_yahoo_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Yahoo', 'pinkmart' ),
				),
				array(
					'id'       => 'social_deviantart_url',
					'type'     => 'text',
					'title'    => esc_html__( 'DeviantArt', 'pinkmart' ),
				),
				array(
					'id'       => 'social_steam_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Steam', 'pinkmart' ),
				),
				array(
					'id'       => 'social_reddit_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Reddit', 'pinkmart' ),
				),
				array(
					'id'       => 'social_stumbleupon_url',
					'type'     => 'text',
					'title'    => esc_html__( 'stumbleupon', 'pinkmart' ),
				),
				array(
					'id'       => 'social_pinterest_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Pinterest', 'pinkmart' ),
				),
				array(
					'id'       => 'social_xing_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Xing', 'pinkmart' ),
				),
				array(
					'id'       => 'social_blogger_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Blogger', 'pinkmart' ),
				),
				array(
					'id'       => 'social_soundcloud_url',
					'type'     => 'text',
					'title'    => esc_html__( 'SoundCloud', 'pinkmart' ),
				),
				array(
					'id'       => 'social_delicious_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Delicious', 'pinkmart' ),
				),
				array(
					'id'       => 'social_foursquare_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Foursquare', 'pinkmart' ),
				),
				array(
					'id'       => 'social_instagram_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Instagram', 'pinkmart' ),
				),
				array(
					'id'       => 'social_behance_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Behance', 'pinkmart' ),
				),
				array(
					'id'       => 'social_vk_url',
					'type'     => 'text',
					'title'    => esc_html__( 'VK', 'pinkmart' ),
				),
				array(
					'id'     => 'social_network_display_section_end',
					'type'   => 'section',
					'indent' => false,
				),
				array(
					'id'       => 'first_social_network_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'First Custom Social Network', 'pinkmart' ),
					'indent'   => true, // Indent all options below until the next 'section' option is set.
					'required' => array( 'social_network_display', '=', true ),
				),
				array(
					'id'    => 'social_custom1_title',
					'type'  => 'text',
					'title' => esc_html__( 'First custom social network Title : ', 'pinkmart' ),

				),
				array(
					'id'    => 'social_custom1_url',
					'type'  => 'text',
					'title' => esc_html__( 'First custom social network URL : ', 'pinkmart' ),
				),
				array(
					'id'       => 'social_custom1_image',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Upload logo image for custom Social Network.', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Logo Image', 'pinkmart' ),
				),
				array(
					'id'      => 'social_custom1_color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Accent color', 'pinkmart' ),
					'default' => array(
						'color' => '#a7a7a7',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'     => 'first_social_network_section_end',
					'type'   => 'section',
					'indent' => false, // Indent all options below until the next 'section' option is set.
				),
				array(
					'id'       => 'second_social_network_section_start',
					'type'     => 'section',
					'title'    => esc_html__( 'Second Custom Social Network', 'pinkmart' ),
					'indent'   => true, // Indent all options below until the next 'section' option is set.
					'required' => array( 'social_network_display', '=', true ),
				),
				array(
					'id'    => 'social_custom2_title',
					'type'  => 'text',
					'title' => esc_html__( 'Second custom social network Title : ', 'pinkmart' ),
				),
				array(
					'id'    => 'social_custom2_url',
					'type'  => 'text',
					'title' => esc_html__( 'Second custom social network URL : ', 'pinkmart' ),
				),
				array(
					'id'       => 'social_custom2_image',
					'type'     => 'media',
					'subtitle' => esc_html__( 'Upload logo image for custom Social Network.', 'pinkmart' ),
					'operator' => 'and',
					'title'    => esc_html__( 'Logo Image', 'pinkmart' ),
				),
				array(
					'id'      => 'social_custom2_color',
					'type'    => 'color_rgba',
					'title'   => esc_html__( 'Accent color', 'pinkmart' ),
					'default' => array(
						'color' => '#a7a7a7',
						'alpha' => '1',
					),

					'mode'    => 'background',

				),
				array(
					'id'     => 'second_social_network_section_end',
					'type'   => 'section',
					'indent' => false, // Indent all options below until the next 'section' option is set.
				),
			),
		)
	);

	$maintenance_query       = array(
		'post_type'      => 'page',
		'posts_per_page' => -1,
		'meta_query'     => array(
			array(
				'key'   => '_wp_page_template',
				'value' => 'maintenance.php',
			),
		),
	);
	$maintenance_pages_query = new WP_Query( $maintenance_query );
	$maintenance_pages       = array();
	if ( $maintenance_pages_query->have_posts() ) {
		while ( $maintenance_pages_query->have_posts() ) :
			$maintenance_pages_query->the_post();
			$maintenance_pages[ get_the_ID() ] = get_the_title();
		endwhile;
	}

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Maintenance', 'pinkmart' ),
			'id'     => 'maintenance',
			'icon'   => 'icon-hammer-wrench',
			'fields' => array(
				array(
					'id'     => 'maintenance_section_start',
					'type'   => 'section',
					'title'  => esc_html__( 'Maintenance Settings', 'pinkmart' ),
					'indent' => true,
				),
				array(
					'id'       => 'maintenance_mode',
					'type'     => 'switch',
					'title'    => esc_html__( 'Maintenance mode', 'pinkmart' ),
					'subtitle' => esc_html__( 'If it is enabled, no one except admins can see frontend of the website. Users who have a role, such as authors, translators, etc, only can see the dashboard. You should create a maintenance page and select it in the next option.', 'pinkmart' ),
					'default'  => true,
					'on'       => esc_html__( 'Enable', 'pinkmart' ),
					'off'      => esc_html__( 'Disable', 'pinkmart' ),
				),
				array(
					'id'       => 'maintenance_page',
					'type'     => 'select',
					'options'  => $maintenance_pages,
					'title'    => esc_html__( 'Maintenance page', 'pinkmart' ),
					'required' => array( 'maintenance_mode', '=', true ),
				),
				array(
					'id'     => 'maintenance_section_end',
					'type'   => 'section',
					'indent' => false,
				),
			),
		)
	);

	Redux::setSection(
		$opt_name,
		array(
			'title'  => esc_html__( 'Additional Scripts', 'pinkmart' ),
			'id'     => 'additional-scripts',
			'icon'   => 'icon-file-code',
			'fields' => array(
				array(
					'id'       => 'additional-js',
					'type'     => 'textarea',
					'title'    => esc_html__( 'Additional JavaScript', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enter custom JavaScript code such as Google Analytics code here. Please note that you should not include &lt;script&gt; tags in your scripts.', 'pinkmart' ),
				),
				array(
					'id'       => 'additional-css',
					'type'     => 'textarea',
					'title'    => esc_html__( 'Custom CSS', 'pinkmart' ),
					'subtitle' => esc_html__( 'Enter custom CSS code such as style overrides here. Please note that you should not include &lt;style&gt; tags in your css code.', 'pinkmart' ),
				),
			),
		)
	);
	Redux::setSection(
		$opt_name,
		array(
			'title'      => esc_html__( 'Import / Export', 'pinkmart' ),
			'id'         => 'import/export',
			'heading'    => 'Import / Export Options',
			'icon'       => 'el el-refresh',
			'customizer' => false,
			'fields'     => array(
				array(
					'id'         => 'redux_import_export',
					'type'       => 'import_export',
					'full_width' => true,
				),
			),
		)
	);
	Redux::setSection(
		$opt_name,
		array(
			'id'         => 'options-object',
			'title'      => esc_html__( 'Options Object', 'pinkmart' ),
			'heading'    => 'Options',
			'icon'       => 'el el-info-circle',
			'customizer' => false,
			'fields'     => array(
				array(
					'id'   => 'redux_options_object',
					'type' => 'options_object',
				),
			),
		)
	);

	do_action( 'kite_after_settings_initialized' );