<?php

$search_post_type = kite_opt( 'search_post_type' );

if ( ! $search_post_type ) { // set on product when update theme
	$search_post_type = 'product';
}

?>

<div class="search-form 
<?php
if ( kite_opt( 'search-widget-category' ) ) {
	?>
	 widget-has-catlist <?php } ?>">
	<form role="search" method="get" class="searchform"  action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<div class="inner-searchform-container">
			<label class="screen-reader-text" for="searchwidget"><?php esc_html_x( 'Search for:', 'label', 'pinkmart' ); ?></label>
			<input type="text" placeholder="<?php echo esc_attr_x( 'Search Name', 'submit button', 'pinkmart' ); ?>" value="<?php echo get_search_query(); ?>" name="s" id="searchwidget" />
			<div class='widget_area_display searchicon'><span class="icon icon-search"></span></div>
			<?php if ( kite_opt( 'search-widget-category' ) ) { ?>
			<div id="cat_container" class="widget_area_display">
				<?php
				$cat_args = array(
					'orderby'    => 'term_id',
					'order'      => 'ASC',
					'hide_empty' => false,
				);
				if ( $search_post_type == 'product' ) {
					$terms = get_terms( 'product_cat', $cat_args );
				} else {
					$terms = get_terms( 'category', $cat_args );
				}
				if ( kite_opt( 'search_form_hide_uncategorized', false ) ) {
					foreach( $terms as $key => $term ) {
						if ( $term->slug == 'uncategorized' ) {
							unset( $terms[$key] );
							break;
						}
					}
				}
				if ( kite_opt( 'search_form_hide_subcategories', false ) ) {
					foreach( $terms as $key => $term ) {
						if ( $term->parent ) {
							unset( $terms[$key] );
						}
					}
				}
				?>
				<div class="nice-select searchcats" tabindex="0">
					<span class="current"><?php esc_html_e( 'All Categories', 'pinkmart' ); ?></span>
					<ul class="list">
						  <li data-value="all" class="option selected"><?php esc_html_e( 'All Categories', 'pinkmart' ); ?></li>
				<?php
				foreach ( $terms as $term ) {
					?>
						<li data-value="<?php echo esc_attr( $term->slug ); ?>" class="option"><?php echo esc_html( $term->name ); ?></li>
				<?php } ?>
					</ul>
					<div class="icon"> 		
					</div>
				</div>
			</div>
			<?php } ?>
			<input type="hidden" name="post_type" value="<?php echo esc_attr( $search_post_type ); ?>">
		
		</div>
	</form>
</div>
