<?php

$search_post_type = kite_opt( 'search_post_type', 'post' );

if ( ! $search_post_type ) { // set on product when update theme
	$search_post_type = 'product';
}

?>

<div class="search-form search-container popup">
	<form role="search" method="get" class="searchform popup"  action="<?php echo esc_url( home_url( '/' ) ); ?>">
			<label class="screen-reader-text"><?php esc_html_x( 'Search for:', 'label', 'pinkmart' ); ?></label>	
			<div class="searchwrapper">
				<input type="text" placeholder="<?php echo esc_attr_x( 'Search', 'submit button', 'pinkmart' ); ?>" value="<?php echo get_search_query(); ?>" name="s" class='searchinput' autocomplete="off" />
				<div class="typing-indicator">
				  <span></span>
				  <span></span>
				  <span></span>
				</div>
				<div id="cat_container">
					<?php
					$cat_args = array(
						'orderby'    => 'term_id',
						'order'      => 'ASC',
						'hide_empty' => false,
					);
					if ( $search_post_type == 'product' ) {
						$terms = get_terms( array( 'taxonomy' => 'product_cat' ) );
					} else {
						$terms = get_terms( array( 'taxonomy' => 'category' ) );
					}
					if ( kite_opt( 'search_form_hide_uncategorized', false ) ) {
						foreach( $terms as $key => $term ) {
							if ( $term->slug == 'uncategorized' ) {
								unset( $terms[$key] );
								break;
							}
						}
					}
					if ( kite_opt( 'search_form_hide_subcategories', false ) ) {
						foreach( $terms as $key => $term ) {
							if ( $term->parent ) {
								unset( $terms[$key] );
							}
						}
					}
					?>
					<div class="nice-select searchcats" tabindex="0">
						<span class="current"><?php esc_html_e( 'All Categories', 'pinkmart' ); ?></span>
						<ul class="list">
							<li data-value="all" class="option selected"><?php esc_html_e( 'All Categories', 'pinkmart' ); ?></li>
					<?php
					if ( ! is_wp_error( $terms ) && ! empty( $terms ) ) {
						foreach ( $terms as $term ) {
							?>
								<li data-value="<?php echo esc_attr( $term->slug ); ?>" class="option"><?php echo esc_html( $term->name ); ?></li>
							<?php
						}
					}
					?>
						</ul>
					</div>
				</div>
				<div class="searchicon"><span class="icon icon-search"></span></div>
				<div class="searchresults close">
					<?php if ( kite_opt( 'show_history_in_search', false ) ) { ?>
						<div class="kt-history"></div>
					<?php } ?>
					<div class="kt-result"></div>
				</div>
				<div class="show_all_results close"><?php esc_html_e( 'See All Results', 'pinkmart' ); ?></div>
			</div>	
			<input type="hidden" name="post_type" value="<?php echo esc_attr( $search_post_type ); ?>">
	</form>
</div>
