<?php
//
// ─── KITE FUNCTION TO Check For Theme Update ──────────────────────────────────────
//
add_filter ( 'pre_set_site_transient_update_themes', 'kpt_theme_pre_set_transient_update_theme' );
if ( ! function_exists( 'kpt_theme_pre_set_transient_update_theme' ) ) {
    function kpt_theme_pre_set_transient_update_theme( $transient ) {
        if ( ! get_option( 'license_verified', false ) && ! get_option( 'pinkmart_license_verified', false ) ) {
            return;
        }
        
        $update_check = new KiteProTools\Updater();
        if( empty( $transient->checked ) ) 
            return $transient;
    
        if ( isset( $_GET['force-check'] ) && $_GET['force-check'] == "1" ) {
            delete_transient( 'kite_upgrade_theme' );
        }
        if ( false === $response = get_transient( 'kite_upgrade_theme' ) ) {
            $response = $update_check->theme_download_pack();
            if ($response['status']) {
                set_transient( 'kite_upgrade_theme', $response, 24 * 60 * 60 ); // 24 hours cache
            }
        }
        
        if( ! $response['status'] )
            return $transient;
    
        if ( $response['status'] ) {
            $response['theme-info']['package'] .= '/'.get_option( 'kite_token_24735635','');
            //check server version against current installed version
            if( version_compare( KITEST_THEME_VERSION, $response['theme-info']['new_version'], '<' ) ) {
                $transient->response['pinkmart'] = $response['theme-info'];
            }
        }
    
        return $transient;
    } 
}  

//
// ─── KITE FUNCTION TO Check For Plugins Update ──────────────────────────────────────
//
add_filter ( 'pre_set_site_transient_update_plugins', 'kpt_plugins_update' );
if ( ! function_exists( 'kpt_plugins_update' ) ) {
    function kpt_plugins_update($transient) {
        if ( ! get_option( 'license_verified', false ) && ! get_option( 'pinkmart_license_verified', false ) ) {
            return $transient;
        }
        // If user clicked the update check then it's a force check and delete cache and check again
        if ( isset($_GET['force-check'] ) && $_GET['force-check'] == "1" ) {
            delete_transient( 'kite_upgrade_all_plugins' );
        }
        // Check if there is any cached request or not
        if ( false == $response = get_transient( 'kite_upgrade_all_plugins' ) ) {
            $update_check = new KiteProTools\Updater();
            $response = $update_check->plugins_download_pack();
            if ( $response['status'] ) {
                set_transient( 'kite_upgrade_all_plugins', $response, 24 * 60 * 60 ); // 24 hours cache
            }
        }
        if( ! $response['status'] ) {
            return $transient;
        }
    
        if ( empty( $transient->checked ) ) {
            return $transient;
        }
        if ( $response['status'] ) {
            $all_plugins = get_plugins();
            foreach ( $response['plugins'] as $plugin_name => $plugin_info ) {
                if ( empty( $all_plugins[ $plugin_info['plugin'] ] ) ) {
                    continue;
                } 
                //check server version against current installed version
                if( version_compare( $all_plugins[$plugin_info['plugin']]['Version'], $plugin_info['new_version'], '<' ) ) {
                    $res = new stdClass();
                    $res->plugin = $plugin_info['plugin'];
                    $res->slug = $plugin_name;
                    $res->new_version = $plugin_info['new_version'];
                    $res->url = $plugin_info['url'];
                    $res->package = $plugin_info['package'].'/'.get_option( 'kite_token_24735635','');
                    $res->tested = $plugin_info['tested'];
                    $transient->response[$res->plugin] = $res;
                }
            }
        }
    
    
        return $transient;
    
    } 
}

/*Remove cached transient after any plugin upgraded*/
add_action( 'upgrader_process_complete', 'kpt_after_update', 10, 2 );
if ( ! function_exists( 'kpt_after_update' ) ) {
    function kpt_after_update( $upgrader_object, $options ) {
        if ( $options['action'] == 'update' && $options['type'] === 'plugin' )  {
            // just clean the cache when new plugin version is installed
            delete_transient( 'kite_upgrade_all_plugins' );
        }
        if ( $options['action'] == 'update' && $options['type'] === 'theme' )  {
            // just clean the cache when new plugin version is installed
            delete_transient( 'kite_upgrade_theme' );
        }
    }
}

//
// ─── CHECK FOR PRO DEMOS ────────────────────────────────────────────────────────
//

add_filter( 'kite_download_dummy_data_headers', 'kite_dummy_pro_headers', 1, 1 );
function kite_dummy_pro_headers( $headers ) {

    if ( get_option( 'pinkmart_license_verified', false ) || get_option( 'license_verified', false ) ) {
        $headers['headers']['token'] = get_option('kite_token_24735635','');
    }

    return $headers;
}
// ────────────────────────────────────────────────────────────────────────────────
?>