<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://kitestudio.co/
 * @since             1.0.0
 * @package           Kt_Pro_Tools
 *
 * @wordpress-plugin
 * Plugin Name:       KiteStudio Pro Tools
 * Plugin URI:        http://kitestudio.co/
 * Description:       This plugins adds pro features to pinkmart theme
 * Version:           1.2.1
 * Author:            KiteStudio
 * Author URI:        http://kitestudio.co/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       kt-pro-tools
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'KT_PRO_TOOLS_VERSION', '1.2.1' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-kt-pro-tools-activator.php
 */
function activate_kt_pro_tools() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-kt-pro-tools-activator.php';
	Kt_Pro_Tools_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-kt-pro-tools-deactivator.php
 */
function deactivate_kt_pro_tools() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-kt-pro-tools-deactivator.php';
	Kt_Pro_Tools_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_kt_pro_tools' );
register_deactivation_hook( __FILE__, 'deactivate_kt_pro_tools' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-kt-pro-tools.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_kt_pro_tools() {

	$plugin = new Kt_Pro_Tools();
	$plugin->run();

}

$Kite_theme = wp_get_theme();
$kiteProducts = array('pinkmart','pinkmart Child');
if ( in_array($Kite_theme->get('Name'), $kiteProducts ) && class_exists( 'Kite_Core' ) ){
	run_kt_pro_tools();
}
